Notice

The information in the help file is subject to change without notice.

SPECTRAL DYNAMICS MAKES NO WARRANTY OF ANY KIND WITH REGARD TO THIS HELP MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Spectral Dynamics shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this help file.

This document contains proprietary information that is protected by copyright. All rights reserved. No part of this document may be copied or reproduced in any way without the written consent of Spectral Dynamics.

Copyright 2001, Spectral Dynamics Inc.


Overview

Modal analysis is the process of characterizing the dynamic behavior of a structure in terms of its modal properties

CATS Modal can be used in conjunction with a range of Spectral Dynamic's analyzers to provide the complete solution.

The main features of CATS Modal and STAR are:

1)The creation of structures.

2)The analysis of acquired data.

3)The simulation of mode shapes in the frequency domain.

4)Time domain animation.

5)Structural Modifications.


Acoustics

STAR Acoustics is a complete acoustic intensity program for use with multi-channel FFT instruments or real-time octave analyzers and microphone probes. Acoustic intensity analysis enables you to:

  • Quickly identify noise sources
  • Accurately determine the sound power radiating from noise sources
  • Acquire measurements in acoustically noisy environments (in-situ), eliminating the need for costly acoustic chambers.
  • Check for ISO standards compliance in seconds

Optimized for identifying noise sources and quantifying sound power, STAR Acoustics simplifies testing and helps you attain unmatched testing accuracy. It's comprehensive features set enables you to transfer data from your instrument, perform detailed analysis, view results in a variety of formats, and produce high-quality reports.

Test Setup and Data Analysis

Quickly Set Up Standard or Custom Test Configurations

STAR Acoustics organizes data by project: All test parameters related to the instrument, microphone, and environmental conditions are conveniently located in a single Project Table.

Comprehensive Measurement Analysis Functions

The STAR Acoustics program performs a very wide variety of functions on narrowband and octave-band intensity or sound pressure level (SPL) data. You can convert from narrowband cross spectrum data to intensity in a single step and, if required, synthesize data into 1/1 octave, 1/3 octave, or user-defined bands. Weighting (A, B, and C) and correction (amplitude and phase) are easily applied. Computing critical data evaluation functions such as Pressure-Intensity(PI) index, Residual PI, and Dynamic Capability index required no more than choosing a command from a menu.

Automatic Checking of Measurement Quality

To check overall measurement quality, you can quickly display the Dynamic Capability Index of the measurement system and the PI Index of selected measurements. You can then visually inspect measurements to confirm that they are within the acceptable limits of the dynamic capability of the measurement system.

Noise Source Identification

Locate Noise Sources

STAR Acoustic graphs data in two or three dimensions to help you identify the location of noise sources. Contour maps handle both uniform and non-uniform test grids that match the geometry of a planar test surface. 3D vector displays enable you to examine the characteristics of sound fields, particularly around non-uniform structures. The vectors provide insight into noise source locations, strength of intensity, and propagation direction.

Sound Power Analysis

Quantify and Compare Total Acoustic Energy Using Sound Power

STAR Acoustics uses the areas associated with each measurement location to compute overall sound power. You can view computed power levels in either tabular or chart formats, in watts, decibels or percent of total power, and computed by point, component, or overall level. You can rank data to quickly identify significant sound power contributors or choose a single command to compute the composite sound power spectrum from a set of measurements.

Noise Source Ranking Highlights Key Noise Contributors

Computing the sound power for points and groups of points, called components, is a powerful technique for quickly locating major contributors to overall noise. STAR Acoustics automatically ranks points by power levels, clearly identifying the most significant contributors to overall noise. To report your results, select a tabular or graphical format, or export the data to Excel for charting.

Testing To Standards

Confirm Compliance with ISO Standards

STAR Acoustics automatically evaluates intensity data for compliance with the ISO 9614-1 and ISO 9614-2 standards, instantly confirming data quality and providing detailed recommendations for standards compliance.

After you select an ISO standard and accuracy grade option, STAR Acoustics evaluates the collected measurements and produces an easy-to-read report. The report shows test criterion, measured values, computed functions, limits, pass or fail, and action items for correcting fail conditions.

Immediate Identification of Prominent Discrete Tones

Identification of discrete tones is essential for solving problems related to sound quality in devices with strong tonal . noise contributors, such as electric motors and gears. Using ISO 7779 and ANSI SI 2.1 0 procedures, STAR Acoustics automatically identifies the prominent discrete tones of a narrowband SPL.

Data Acquisition Systems

Data Import

STAR Acoustics gives you the flexibility to choose how you work and which measurement system to use. The application has been optimized to work with our own Acoustic Analyzer for the acquisition of you measurements but it also accepts measurement data saved to disk in popular data formats such as the universal file format.

Documenting Test Results

Professional Reports

STAR Acoustics provides multiple options for efficiently creating professional reports or presentations. All tables and graphics can be copied and pasted directly into other applications running in the Windows environment.


Major Steps of a Modal Test

There are a number of steps to modal analysis but they can be grouped into five main steps.

1) Create a model (The Model)

2) Acquire your measurement data (Measurements)

3) Analyze the data (Analysis)

4) View your results (Results)

5) Modify your model (Modifications)

Note. In brackets is the topic to view in the help file. Click on this topic to gain further information.


Major Steps of an Acoustic Test

1. Set up the Test

  • Set up the project parameters.
  • Layout the test points on the structure.
  • Set up the analyzer and make trial measurements.

2. Define the structural geometry (see also model overview)

  • Define your templates and components.
  • Enter coordinates.

3. Calibrate Microphones

  • Perform magnitude calibration on each microphone.
  • Perform phase correction calibration on microphone pair.

4. Acquire Measurements

  • Save your acquired measurement to the project measurement database (project_name.SDD).
  • or import your measurements for a different file format.

5. Identify Integration Bands

  • Specify 'User Defined', 1/3 or 1/1 octave bands (see Measurement Plots).
  • Compute the results table based on measurement set.

6. Verify Results

  • Display intensity vectors
  • Display contour plots.
  • Perform sound power analysis and noise source ranking.
  • Export data to other applications such as a spreadsheet application for further analysis and graphics.

7. Documents Results

  • Print measurements and results.
  • Print data tables.
  • Produce report.


Frequently Asked Questions

Q) How can I display the model, measurements and analysis output all at same time?

A) Use the main menu and select Windows [image] New Window. This will provide a second window for the same project; change the view mode for this window to something different from the first window. Use the main menu and select Windows [image] Tile. You can have as many windows as you require (depending on your computers resources), but the more windows that are used, the slower the application may run.


Terminology

Component

A component must inherit from a template and then specify its location and orientation relative to the center of the model (see model overview).

Mode

The motion of a structure at a given frequency.

Model View

A single view of a model

Polyreference

The use of multiple reference points on a structure.

Template

A template defines the coordinate system (Rectangular, Cylindrical or Spherical) and stores coordinates and lines. A template can be reused in the form of a component (see model overview).


Model Overview

A model consists of one or more components that are based on templates.

Templates

A template consists of points, lines and surfaces. These are used to define the shape of an object. A template can be essentially rectangular, cylindrical or spherical and this will define how the points are interpreted.

Points

Each point consists of three directional values. The meaning of each will depend on the coordinate system as defined by the template.

Coordinate System | Direction | Notation
Rectangular | X-Axis | X
 | Y-Axis | Y
 | Z-Axis | Z
Cylindrical | Radial | R
 | Theta Angle | T
 | Z-Axis | Z
Spherical | Radial | R
 | Theta Angle | T
 | Phi Angle | P

Lines

A line consists of indexes to two points between which a line will be drawn.

Surfaces

A surface consists of indexes to three points identifying a solid area.

Components

A component is based on a template and specifies its location and orientation. Other parameters include its color.


A Step-by-Step Guide

There are a number of ways to create a model but there is a basic order in which this is done.

To create a simple model

Step 1 - Create a template (How to)

Step 2 - Create a component (How to)

This step can be done any time after a template has been created, but doing it now will allow you to view the component as it is being edited.

Step 3 - Add points to the template (How to)

Step 4 - Add lines to the template (How to)

Step 5 - Add surfaces to the template (How to)


Creating Templates

Create a template and give it a name. Remember that if you are reusing this template, give it a name that will be relevant to all the components that are created from it. Decide whether the template is going to be rectangular, cylindrical or spherical.

How To:

The are three methods of creating a template:

Method 1

Use the 'Model Editor' and select the 'add new template and component' button [image]. This will create a default template that can be edited using the 'Template' page.

Method 2

Use the 'Model Editor' and select the 'Component' page. Select the '+' button to the right of the template name. This will create a default template that can be edited using the 'Template' page.

Method 3

Use the main menu and select Model>>Setup>>Templates. Select the 'Create New' button. This will create a default template that can be edited using the controls on the current page.


Adding Points

Points can be added to a template by using either the 'Model Editor' or the 'Points Dialog'. If you wish to see your changes as you make them, use the 'Model Editor'. If you have the coordinates for your points and you wish to enter them into a spreadsheet, use the 'Points Dialog'.


Add Lines

Adding Lines

Lines can be added to a template by using either the 'Model Editor' or the 'Lines Dialog'. If you wish to see your changes as you make them, use the 'Model Editor'. If you have the point indexes for your lines and you wish to enter them into a spreadsheet, use the 'Lines Dialog'.


Adding Surfaces

Lines can be added to a template by using either the 'Model Editor' or the 'Surfaces Dialog'. If you wish to see your changes as you make them, use the 'Model Editor'. If you have the point indexes for your surfaces and you wish to enter them into a spreadsheet, use the 'Surfaces Dialog'.


Creating Components

Create a component and give it a name. Remember that a component is based on a template, so at least one template must exist before you can create a component.

How To:

The are two methods of creating a component:

Method 1

Use the 'Model Editor' and select the 'Component' page. Select the '+' button to the right of the 'Name'. This will create a component from the currently selected template (you can change this). A default name will be given to the component; this should be changed.

Method 2

Use the main menu and select Model>>Setup>>Component. Select the 'Create New' button. This will create a component based on an available template (you can change this). Use this page to modify the component.


Wire Mesh Wizard

From the main menu select:

Model [image] Wizards [image] Wire Mesh Wizard

Purpose(s)

1)To generate basic shapes for your model.

The wire mesh wizard can be used to generate components based on rectangles, cylinders and spheres.

As you can see from the picture above, adjusting the number of divisions on an axis can be used to make more complicated shapes.

Template Name

When you select the 'OK' button, a template and component will be created based on this name. You can however change this name at a later date.

Sample

Use the 'sample' feature to test your settings before you add a component to the model.


Cube Wizard

Solids Wizard

From the main menu select:

Model [image] Wizards [image] Solids Wizard

Purpose(s)

1) To create a solid component


Adjusting Multiple Views

Model views can be adjusted in a variety of ways, rotation, animation, color change etc. The adjustment can be applied either to a single view, or to all the views in a single window.

To apply changes to all the views in a window, use the 'Model View Control' and tick the 'All' check box at the bottom of the control. Any changes that are made after this will be applied to all the views.


Rotation

Rotation see also 'Transformations'

A model can be viewed from the front, top, side, or from a perspective view. A model can only be rotated from within a model view, when it is being viewed in perspective.

To rotate a model, use the 'Model View Control' and select the 'Transformations' page.

The controls below the labels x, y and z can be used to adjust the rotation about the relevant axis. The number of degrees that it will rotate can be specified in the 'Step Angle' edit box. The rotation can be reset by reselecting one of the view types; front, top, side or perspective.

A model can also be rotated by clicking the left mouse button inside a model view. Hold down the mouse button and drag the mouse perpendicular to the axis you wish to rotate about. To rotate about a different axis you will need to let go of the mouse button and start again. The rotation can be quickly reset by holding down the left mouse button and clicking the right mouse button.

Rotating a model continuously

To spin a model about a set of axis continuously, select the continuous button [image] and then adjust the rotation using the controls below the spreadsheet (a single adjustment is all that is necessary). To stop the spin, reverse the direction initially selected.


Animating

Animating see also 'Model View Control - Analysis'

Animating your model is a good way of viewing your results from either frequency or time domain analysis.

The sample below simulates a structures motion at 44hz. This was achieved using the curve fitting feature and then animating the model.

To control the animation, use the 'Model View Control' and select the 'Analysis' page.


Creating a Video Clip

Select a model view and using the main menu select:

Video [image] Create

Purpose(s)

1) To export an animation to a file (AVI file) that can be replayed on any computer with a Windows operating system i.e. without any Spectral software.

Note: A simple method of viewing AVI files, is to find the file using Windows Explorer and then double click the file. In most cases an application will be launched that can play the file.

Pre-Conditions

A model view must be selected. The exported animation will be based on this view.

Type of Animation

There are three types of animation that can be recorded to an AVI file:

  • Frequency Domain
  • Time Domain
  • ODS

The type of animation used will depend on the model view selected prior to launching the AVI creator.

Size

Select the size in pixels (width x height), of the model view to be used in creating the AVI file. When a size is selected, the whole window will update to reflect the change.

Frames

In the case of frequency or ODS animation, the number of frames is equal to the number of steps taken to complete one cycle of a mode. For time domain, the number of frames will equal the total number of steps to complete the whole animation.

The greater the number of the frames the smoother the animation, however the size of the AVI will increase.

FPS (frames per second)

When replaying the AVI file, the application used will attempt to play the animation at the speed indicated by the number of frames per second.

Selecting a lower value may reduce the smoothness of the animation, however the speed of the animation will be more consistant.

Colors

Select the number of bits per pixel. The higher the value, the better the image, however the size of the AVI file may also be larger. It is recommended that this is left at 24 bits per pixel unless you require a very small AVI file.

Cycles

The number of cycles specifies the number of times the animation will be repeated. This option is only necessary when displaying frequency or ODS animation; whereby every x number of times through the animation, the mode/frequency will be incremented. Most applications that play AVI files can be set to continuously repeat, hence only one cycle per mode/frequency is needed. More cycles can used however to avoid a jump at the end of the animation.

Creating the AVI / Compression

Select the 'Create' button, you will then be prompted for a compression method. This will determine the size of the AVI file. You may get an error message asking you to select a different compression method. Not all methods of compression available on your computer can be used.

It is recommended that you try and compare different compression methods on a small animation. Check the size of the file created and the quality of the animation using an application that can view AVI files.

Abort

You can press the Abort button at any time during the creation of the AVI file. The AVI file will still be valid for animation that was recorded to that point.


Measurement Overview

Measurements Overview

All measurements can be stored in a single file with the extension .SDD. The easiest method of creating this file is to use PUMA/COUGAR to acquire your measurement data. Alternatively measurements can be imported from systems such as STAR.

IMPORTANT

Once you have your measurements make sure that you setup your driving point (reference) DOF, see Measurements Setup.

Creating a New Database

Make sure that if a measurement database is already open, that it saved before continuing. Use the main menu and select:

Measurements [image] Database [image] New.

You will be asked to name this new database. Remember that if you wish to use this database as the main database for a modal project, then the name should match the projects' and persist in the same directory.

Note. When creating a new database you may get a message indicating that it contains no data frames. This is perfectly OK as the database is indeed empty.

Saving a Database

Use the main menu and select:

Measurements [image] Database [image] Save.

Refreshing a Database

If a database is edited outside of CATS Modal, or a change is made to the database that you wish to remove, use the main menu and select:

Measurements [image] Refresh.

This will cause the database to be reloaded from disk.


Measurements Setup

From the main menu select:

Measurements [image] Setup

Purpose(s)

1)To identify a driving point (reference) DOF

Identifying a Driving Point DOF (IMPORTANT)

Once you have acquired your measurements, it is important to identify within CATS Modal, your driving point DOF, as there may be more than one within your measurement database. Once you have selected a DOF from the list. You must select OK from this dialog to write the DOF to the project settings.


Transducer Orientations

From the main menu select:

Measurement [image] Transducer Orientations

Purpose(s)
  1. To specify the orientation of the transducer at a given location on the structure when different to that of the component.

Overview

When designing your model to replicate a structure, it is assumed that when it comes to acquiring data, transducers will be orientated such that the axis match the corresponding component axis. If you do not rotate a component, the axis will be orientated the same as your global axis.

It is not however always possible to position a transducer such that the axis match the component axis. It is possible to specify a custom orientation which can be applied to one or more 'Measurement Points'.

The orientation is specified as a rotation (in degrees) about the x, y, and z axis (in that order), using the component orientation as a starting point.

Visualizing the Orientation at a given Point

You may display a set of axis at any point on your model. The orientation of your transducer should match the axis drawn.

Use the 'Show' page of 'Model View Control' and select the 'Point Axis' control.

You can now click any point on your model to move the axis. Make sure the 'Model View' is in 'Select' mode. Right click the 'Model View' and click 'Select'.


Importing

Importing Measurements

Ideally measurement data will be acquired using a PUMA or a COUGAR. This will ensure that the data is of the correct format to start analyzing immediately. If this is not possible then measurements will need to be imported from other formats

CATS Modal currently supports the importing of the following file formats:

1)STAR

Importing STAR Measurements

The measurements will already of been imported if the modal project was created by importing a STAR project. If however this is not the case, or you wish to import further measurements, then follow these steps:

Step 1)

Ensure that a measurement database is open (see Measurements Overview).

Step 2)

Use the main menu and select:

Measurements [image] Database [image] Import

Then select the type of measurement e.g. STAR FRF(s) or STAR TIM(s) etc.

Step 3)

Locate and select all the measurements that you wish to import, and then press OK.

Step 4)

Indicate whether the measurements were acquired using a fixed response, a fixed excitation or that the data is Operating Data. If you are unsure, select the browse button and locate the STAR project file.

The following STAR measurement types can be imported

FRF(Frequency Response Function)

TIM (Time Data)

APS (Auto Power Spectrum)

COH (Coherence)

CPS (Cross Power Spectrum)


Viewing Measurements

Two measurements can be displayed on each graph, of which there can be up to sixteen.

Adding/Deleting Graphs

To add or delete a graph use the 'View' toolbar.

Selecting Measurements

To select a measurement use the 'Graph View Control' and select the 'Plot' page. You can then select a measurement for the primary and secondary plot.

Functions and Scaling

Right clicking a graph will display a popup menu with a list of measurement functions such as real and imaginary.

You can also select the scaling for the axis using this menu.


Calculator

The measurement calculator can be used to apply simple and complex calculations to one or more measurements.

To use the calculator a measurement database must be open and a graph selected. Use the 'Measurement Editor' and select the 'Calculator' page. If the 'Measurement Editor' is not visible, select View [image] Control Bars [image] Editor, from the main menu.

Display Suitable Graphs

Before applying calculations to measurements, make sure that the 'Destination' buffer is selected for at least one plot on your graph(s). This will allow you to see the result from your calculations.

Defining a Calculation

Step 1 - Define 'Value X', in the case of a complex calculation (or a function like Ö), 'Value X' is the measurement to apply the calculation to -

Source - The selected measurement.

Destination -The destination buffer (the result of previous calculations).

Otherwise 'Value X' is the value that will be applied to the destination buffer e.g. -

Result = Destination + 'Value X'

Step 2 - If necessary set the frequency or channel range to apply the calculation to, and if 'Value X' is a single value then set this value.

Step 3 - Select a calculation, complex or simple e.g. -

IFFT or +, - etc

The Result

The result is always stored in the destination buffer. When you are happy with the result of a calculation, the destination can be copied to the measurement database by pressing 'Apply'. Remember that a measurement database will only be saved to disk when you use the main menu and select Measurement [image] Database [image] Save. It useful to note that if a mistake is made before saving to disk, you can recover your measurements by using the main menu and selecting Measurement [image] Refresh.


Archiving

The main use for archiving is to minimize the size of a measurement database (large databases take longer to load and are harder to transport) and to backup measurements.

Archiving allows you take a data type such as frequency response and copy it to another measurement database, the data type can then be removed from the project database. The data type can be recovered at a later date.

To use the archiving tool a measurement database must be open and a graph selected. Use the 'Measurement Editor' and select the 'Archive' page. If the 'Measurement Editor' is not visible, use the main menu and select:

View [image] Control Bars [image] Editor

Archiving, Recovering and Deleting Data types

Step 1 - Create or open a database.

Step 2 - Select a data type from either the project list or the archive list.

Step 3 - Select 'Archive', 'Recover' or 'Delete'. If 'Archive' or 'Recover' is double clicked then the data type is moved rather than copied.

Step 4 - Close database (the database can be left open however).


Analysis Overview

Your measurement data can be analyzed either in the frequency domain or in the time domain.

Frequency Domain

The initial purpose of analysis in the frequency domain is to identify a structure's mode shapes.

Step 1

Identify the relevant peaks in your frequency response functions (see Identifying Peaks).

Step 2

Select a curve-fit type for each band (see Curve-Fitting Types).

Step 3

Select the measurement(s) that you wish to fit and fit them.

Step 4

View the results (see Results)

Step 5

Use FRF Synthesis to ascertain how good the curve-fit was (see FRF Synthesis)

Step 6

If necessary repeat steps 1 to 5.

Note For the operation of steps 1 to 3 see Curve Fitting


Project Setup

Project Parameters

From the main menu select:

Analysis [image] Setup [image] Project Parameters

Purposes

  1. Setup measurement units
  2. Store any relevant information about the test

Description

Enter any information about the project that you may want to recall at a later date.

Units

Select the units for your response and excitation.

Driving Point (reference) DOF

The reference DOF should be entered prior to performing any analysis.

Fixed DOF

Select whether your excitation or response was positioned at the same location throughout your test.


Bands Table

From the main menu select:

Analysis [image] Bands

Overview

This table contains all of the parameters necessary to automatically curve fit a set of measurements

You can also edit the information stored in this table using the 'Bands' page of the Graph View Control.

Enabling a band

A band will only be used in a curve fit if it is enabled.

Frequency Range

Each band has a low and high frequency between which data will be used. The low frequency should be less than the high frequency and the frequency range should be within that of your measurements.

Mode Range

Identify the starting mode and end mode that you wish to identify. A single band cannot identify more than 8 modes.

Fit Method

Select from:

  • Coincident
  • Quadrature
  • Peak
  • Polynomial
  • Global Frequency and Damping
  • Global Residues

See Curve Fitting Types

Clearing the Table

Right click the spreadsheet and select 'Clear'.

Printing the Table

Right click the spreadsheet and select 'Print'.


Synthesis Table

From the main menu select:

Analysis [image] Setup [image] Synthesis

Purpose

To be used by FRF Synthesis as an alternative source of modal parameters.

The Synthesis table contains modal parameters, (Frequency, Damping, and Residue), which are used by FRF synthesis to synthesize FRFs between DOF pairs on a structure.

The units of the complex residues (Magnitude and Phase) are taken from the 'Project Setup', and are written (response units / excitation units) X (radians / second).

Displaying Real/Imaginary or Magnitude/Phase

Right click the spreadsheet and select 'Real/Imag' or 'Mag/Phase'.

Displaying Hz or RPM

Right click the spreadsheet and select 'Hz' or 'RPM'

Adding a Mode

To add a new line to the table you must enter a number in the 'Mode' column first.

Clearing the Table

Right click the spreadsheet and select 'Clear'.

Printing the Table

Right click the spreadsheet and select 'Print'.


Constraints Table

From the main menu select:

Analysis [image] Setup [image] Constraints

Purpose(s)

  1. To constrain points on your model for which no measurement data exists to one or more other points where data has been acquired.

Overview

The constraints table contains equations that define new DOFs as linear combinations of acquired DOFs or those that already have valid data for them in the frequency or time results tables.

Dependant

A dependant DOF is one for which data has not been acquired.

+/= Operator

A dependent DOF can be computed as a linear combination of two or more independent DOFs by using the "+" sign to "add" lines of the table together.

for example:

2X | = | 0.5 | * | 1X
 | + | 0.5 | * | 3X

this would be appropriate where 2X is positioned between 1X and 3X.

Coefficient

The coefficient can be used to give weighting to an independent DOF.

for example:

2X | = | 0.25 | * | 1X
 | + | 0.75 | * | 3X

this would be appropriate where 2X is positioned between 1X and 3X but is three times closer to 1X.

Independent

An independent DOF is one for which there is valid data, either in an acquired measurement (for ODS animation) or in the frequency or time results tables.

Tools - Constrain Non-Acquired Locations

This tool will look for points on your model for which there are no corresponding measurements. You must specify how many independents that you wish to constrain each point to. The software will then find the nearest points on your model with measurement data to constrain the points to.

While this tool will work in most situations it should be noted that if there are 2 points that are close together but not connected, the software may still constrain these points.

Tools - Calculate Coefficient

This tool can be used to calculate the coefficients for one or more rows on the spreadsheet. The software will calculate the coefficients by measuring the distance between the dependant and each independent.

Select the cells from the 'Coefficient' column (click the column header to select everything) and then click the 'Calculate Coefficient' button.

Applying the Constraints

Frequency Results

Click the 'Frequency Results' button to append the frequency results table with data for the 'Dependant' DOFs in the spreadsheet.

Time Results

Click the 'Time Results' button to append the time domain analysis results table with data for the 'Dependant' DOFs in the spreadsheet.

ODS Animation

The 'ODS Animation' check box must be selected if you want to apply your constraint in your ODS animation.


Project Parameters

From the main menu select:

Analysis [image] Setup [image] Project Parameters

Purpose(s)

  1. Setup measurement units
  2. Define the microphone array/grid
  3. Define any adjustments required for measurements

Description

Optionally enter a brief description of your test and any other pertinent information that you may want to recall at a later date.

Units

This acoustics package uses metric units exclusively for measurements and analysis. English units may be used only in defining geometry (grid units). Internally all English units are converted to metric.

Results Computation

The intensity/SPL (Sound Pressure Level) option button is the default selection for computation of results. The deflection shapes option (Fixed Excitation and Response) are used for analysis of structural deflection shapes using frequency response functions.

Hanning Window Compensation

The selection of Hanning Window Compensation Yes or No is a function of the effective noise bandwidth (ENBW). This entry indicates whether or not the analyzer applies the 1.5 normalization factor to the data or not when using the Hanning window on measured data. Compensating for the ENBW is important in computation of SPL and intensity.

Amplitude Correction

Amplitude calibration is required to assure that the amplitude of the measured sound pressure levels are accurate. Sound pressure levels are used in the computation of acoustic intensity and sound power. Amplitude calibration is performed by measuring a sound source that provides a known constant sound level at a given frequency. The measured sound level is compared to the know level to determine the amplitude correction required.

Enter the amplitude correction values for channels A and B in dB.

Phase Correction

Phase calibration is required to assure that phase angle determination in the acoustic intensity measurement accurately represents the phase difference in the sound field for the location of the two microphones.

In modifying this option you are selecting a phase calibration file. This file must exist in the project directory.

Density

Enter the density through which the sound has been measured.

Microphone Spacing

When using a microphone array, enter the spacing between each microphone.

Speed of Sound

Enter the speed of sound in m/s. The default is 344m/s which is the speed of sound through air at 21°c. This constant is used in calculating the pressure intensity index.


Modal Peaks

Analysis [image] Function [image] Modal Peaks

Purpose(s)

  1. To help identify modes from a range of measurements

Pre-Conditions

  1. You must have at least one frequency response function in your measurement database.

Overview

The Modal Peaks function is typically used on a new set of FRF measurement data to locate all of the modal peaks (resonance peaks), in a set of measurements

Modal Peaks can be used to determine the number of modes in a measurement set and therefore help in identifying suitable bands for a curve fit.

Selection

Select the measurements that you wish to include in this process. All measurements must have the same block size, delta frequency and frequency range.

Mode Indicator Function

There are a number of methods available:

  • ABS (Imaginary)
  • Imaginary²
  • Real²
  • Magnitude²
  • Normal
  • 1 - Normal

Storage

You may select to store the results as one of two Data Types:

  1. Modal Peaks
  2. Temporary Buffer.

The chosen type can be displayed as a plot on any graph. By repeating the process with a different selection, you may overlay plots for comparison.

Label

When you display the results as a plot on a graph, the plot will be labelled depending on your 'Storage' choice. If you wish to choose a more appropriate label, select 'Custom' and enter you own.

Results

To compute your 'Modal Peaks', click OK. To view the resulting plot you must select a plot on a graph and use the 'Graph View Control'. Using the 'Plot' page of the 'Graph View Control', change the 'Data Type' to either 'Modal Peaks' or 'Temporary Buffer' depending on your selection (see Storage above).


Curve Fitting

From the main menu select:

Analysis [image] Curve Fit

Purpose

To identify a structures natural mode shapes

Note: For a more versatile method of curve fitting you can use the 'Bands' page of the Model View Control is conjunction with the 'Curve Fitting' page of the Measurement Editor.

Measurements

Data Type

Select the type of measurement that you want to curve fit. The available types will depend on what measurements are in your measurement database. The default is to use Frequency Response Functions.

Scaling

If the 'Data Type' is Response Data Spectrum you can select how to scaling the measurements

Single or Range

You can select whether to fit a single measurement or a range of measurements.

DOF

If you are fitting a single measurement, you must select the appropriate DOF. The available DOFs in the drop down list, will depend on the 'Data Type' and the 'Driving Point DOF' in your Project Parameters.

Point Range and Directions

If you are fitting a range of measurements, you must specify a point range and select the directions that you want to include. Only those measurements that are found in your measurement database will be included, so you can select a wider range than necessary.

Bands

Single or All

You can select whether to fit a single band or all the enabled bands.

Type

To edit the type of band you must click 'Single' and select the Band that you want to edit. See Curve Fitting Types for more information.

Process

Frequency and Damping

Select 'Frequency and Damping' to store modal frequency and damping estimates into the Results Table when you fit your measurements

Residues

Select 'Residues' to store modal residues into the Results Table when you fit your measurements.

Fit Function

Select 'Fit Function' to store Curve Fit Function into your measurement database so that it can be compared with your measured data to check the quality of fit.

Calculate Error

The 'Fit Error' option computes an error between the measurement and fit function. This error is also saved in the Results Table, and can be viewed in animation, to observe the measurement points with greatest curve fitting error.

Fit

Click the 'Fit' button to curve fit your measurements based on the selections made.

To Abort the process at any time, press the 'Esc' key on your keyboard.


Time Domain Analysis

From the main menu select:

Analysis [image] Function [image] Time Domain Analysis

Purpose(s)

1)Simulate motion of structure from filtered time data

Pre-Conditions

You must have time data stored in your measurement database or the computer must be a PUMA/COUGAR analyzer.

Source

If you wish to analyze time data in your measurement database, select 'Data File'. If you want to analyze time data live from your PUMA/COUGAR select 'Local Puma'.

Point and Direction Range

Identify the measurements that you wish to analyze,

Filter

Adjust the frequency filter to be applied to each of the time traces in the measurement range.

Displaying a Measurement

Step 1

Click on a point on the model.

Step 2

Select a direction (in the 'Show Measurement' section).


MAC

Modal Assurance Criterion (MAC)

Analysis [image] Function [image] MAC

Purpose(s)

  1. To ascertain the similarity of modes.

Pre-Conditions

  1. The frequency results table must contain valid data.

Overview

The Modal Assurance Criterion is a method for quantitatively determining how similar, or correlated two mode shapes are to one another. If their MAC value is one, then the two mode shapes are alike. If their MAC value is less than one, the two mode shapes are dissimilar. If it is zero, the two mode shapes are orthogonal to one another.

Results Data

You can select the modes to include by right clicking the display and selecting 'Setup'. By default, all modes in your results table will be included.

Type of Display

The information can be displayed in tabular format or as a 3D bar graph. Right click the display and select one of the following:

  • Table
  • 3D Bar Graph
Mouse Operation

When displaying the 3D bar graph, the mouse can be used to select bars and to rotate the graph. You must first select the correct mode for the mouse; right click the display and select one of following:

  • Cursor
  • Rotation

Cursor

A bar may be selected by clicking on the top of the bar. When a bar is selected, other bars may be hidden to provide a clear view, however the graph is rotated. To clear your selection, click on the display away from any bars.

Rotation

The graph can be rotated in the same manner as your model, by clicking and dragging perpendicular to the axis about which you want to rotate. If you selected a bar when in 'Cursor' mode your selection will remain until unselected in the 'Cursor' mode. To reset the rotation, hold down the left mouse button and click the right mouse button.

Colors

Colors can be used to distinguish between different levels of similarity. To adjust these levels, right click the display and select 'Color Levels' or if you are in 3D mode, you can simply double click the colors on the appropriate axis.


FRF Synthesis

From the main menu select:

Analysis [image] FRF Synthesis

Purposes

To synthesize Frequency Response Functions using modal parameters stored in your frequency results or synthesis table.

Pre-Conditions

You have valid data in your frequency results or synthesis table

Overview

FRF Synthesis is the process of synthesizing frequency response functions from your frequency results table or synthesis table. The resulting FRFs can be overlayed with your measured data to check the quality of your curve fit.

Modal Parameters

The modal parameters define your modal model, select the mode range and DOFs that you wish to synthesize.

Source

Select the source of your modal parameters, either Results Table or Synthesis Table. If the source is the Results table then the DOFs must correspond to DOFs (point numbers and directions) in the results table for which there is valid modal data. If the source is the synthesis table, then the DOFs are not restricted.

Response and Excitation DOFs

The response and excitation DOF lists contain all the DOFs for which there is valid data in your results table. You can also type any DOF into the control.

Response

Frequency Range and Block Size

By default the frequency range and block size will match that of your measured FRFs. By deselecting the 'Lock Measured and Synthesized Limits' button you can enter your own values, however you will not be able to overlay the synthesized and measured FRFs.

Units

This option allows the selection of the response (or numerator) of the FRF to be acceleration, velocity or displacement. The excitation (or denominator) is always assumed to in units of force.

Synthesize

Click the 'Synthesize' button to synthesize the frequency response function. The measurement will be stored in the temporary buffer and can be saved to your measurement database by clicking the save button. The synthesize button will be disabled if 'Auto' is selected as it is unnecessary.

Auto

If 'Auto' is selected, the FRF will be automatically synthesized when a change is made to any of the parameters. The 'Auto' button will be automatically unselected if you select 'Append'.

All

If 'All' is selected when you click the 'Synthesis' button, the software will synthesize all the DOFs for which there is valid data in your Frequency Results Table. The synthesized measurements will be stored in your measurement database so that they can be reviewed using your main displays.

Note: If you want to abort the process of synthesizing all your measurements, press the 'Esc' key.

Save

Select the save button to save your synthesized FRF to the measurement database. The measurement can then be recalled from your main displays.

Graph

Lock Synthesized and Measured DOFs

If the 'Lock Synthesized and Measured DOFs' button is selected, then the Measured FRF DOFs and the Response and Excitation DOFs (under 'Modal Parameters') will be kept the same.

Graph Menu

Right click the 'Graph' to display a popup menu with further options.


Forced Response Synthesis

From the main menu select:

Analysis [image] Forced Response Synthesis

Purpose

Synthesize a forced response Linear or Power spectrum due to any number of excitation forces represented by Linear or Power spectrum.

Pre-Conditions

  1. You must have linear of power spectrums in your measurement database.
  2. You must have modal parameters of the structure for the desired input and response DOFs are stored in your frequency results table.

Overview

The 'Forced Response Synthesis' function can be used to synthesize a forced response Linear or Power spectrum due to any number of excitation forces forces represented by linear or power spectrum. Possible uses include:

  • To verify your modal model as defined in the frequency results table.
  • To help determine whether 'Structural Dynamic Modifications' have solved the vibration problem.

If the modal model is correct there should be good correlation between a measured response and a synthesized response.

Force (Excitation)

Select a linear or power spectrum of your force/excitation. The list of DOFs include all the measurements of the selected data type (linear or power) in your measurement database.

Modal Parameters (Results Table)

The modal parameters define your modal model, select the mode range and DOFs that you wish to include in synthesizing the response.

Response

Select the type Linear or Power, that you want to synthesize, along with the required units.

Auto

If 'Auto' is selected the response will be automatically synthesized when a change is made to any of the parameters. The 'Auto' button will be automatically unselected if you select 'Append'.

Append

Using the append feature allows you to simulate the effects of two or more excitation forces on the response of the structure. The 'Append' button will only be enabled after at least one measurement has been synthesized. It will be disabled if any changes are made to the 'Modal Parameters' until the new measurement has been synthesized.

Synthesize

Click the 'Synthesize' button to synthesize the forced response linear or power spectrum. The measurement will be stored in the temporary buffer and can be saved to your measurement database by clicking the save button. The synthesize button will be disabled if 'Auto' is selected as it is unnecessary.

Save

Select the save button to save your synthesized response to the measurement database. The measurement can then be recalled from your main displays.

Graph Menu

Right click the 'Graph' to display a popup menu with further options.


Structural Dynamic Modifications

SDM (Structural Dynamic Modifications)

From the main menu select:

Analysis [image] Function [image] Structural Dynamic Modifications

Purpose

To simulate the affects of a modification on a structure.

Pre-Condition

You have valid data in your frequency results table

Overview

This dialog can be used to apply one or more modifications to your structure and simulate the affect. The main types of modification are:

Mass

Stiffness

Damping

Enabling a Modification

Place a tick mark in the second column of the spreadsheet for the modification that you wish to enable.

Calculate Modifications

All of the "enabled" modifications in the modifications table are simultaneously applied to the structure (to its dynamics which are represented by modal data in the results table). After the modification calculation is completed, a new set of modal data for the modified structure will be stored into the results table. To avoid writing over the unmodified modal data, make sure that you specify the 'Store Resulting Modes At..' so that the modified results have different mode numbers than the source modes.

Mass

Point mass modifications (additions or subtractions) can be made at any point on the structure where modal data is defined. Mass modifications can be made at a point or at a point in a particular direction (DOF).

In order to complete a mass modification, you must enter the amount of mass and the point or DOF where it is to be attached to the structure. The units of mass are determined by the system of units which you have selected in the Project Setup:

English - Pounds mass

Metric (SI) - Kilograms

Both the amount of mass and the attachment point or DOF are entered by highlighting the existing entries and then typing in the desired quantities.

Stiffness

Stiffness modifications (additions or subtractions of linear springs) can be made between any two points on a structure were modal data is defined. Stiffness modifications can be made between DOFs (points and directions) or between points alone.

When a spring (stiffness) is added between two points, all of the valid modal data for all directions at the end points is used together with the coordinates of the end points, in order to correctly model the stiffness modification. This is the same as placing a truss element, or one dimensional beam element, between the two end points.

In order to complete the stiffness modification, you must enter the amount of stiffness and the end points or DOFs between which the spring is to be attached on the structure. You can specify 'GROUND' under DOF2/Point to attach the spring to a fixed location specified in the Coord1, 2 and 3 columns.

The units of stiffness are determined by the system of units which you have selected in the Project Setup:

English - Pounds per inch

Metric (SI) - Newtons per meter

Damping

Damping modifications (additions or subtractions of linear dampers) can be made between any two points on a structure were modal data is defined.

Damping modifications can be made between DOFs (points and directions) or between points alone. When a damper is added between two points, all of the valid modal data for all directions at the end points is used together with the coordinates of the end points, in order to correctly model the damping modification.

In order to complete the damping modification, you must enter the amount of damping and the end points or DOFs between which the damper is to be attached on the structure. You can specify 'GROUND' under DOF2/Point to attach the spring to a fixed location specified in the Coord1, 2 and 3 columns.

The units of damping are determined by the system of units which you have selected in the Project Setup:

English - Pounds per inch per second

Metric (SI) - Newtons per meter per second

Warning: Damping is modeled in SDM under the assumption that the damping forces in the structure are significantly less than the stiffness and inertial forces. If the damping of the modes (modal damping) is less than 10 percent of critical, damping modifications can be made and useful results obtained. If the modal damping is greater than 10 percent, significant errors can occur.

Tuned Absorber Wizard

The Tuned Absorber command is used to model the attachment of a tuned mass-spring-damper absorber to a structure. A tuned absorber is modeled by using SDM to attach a mass (represented by its rigid body mode), via a spring and damper, to the structure at a specified DOF.

When the Tuned Absorber option is selected, a dialog box is opened. To define the tuned absorber, you must enter the mass, the tuned frequency, the damping and the attachment DOF of the absorber into the appropriate fields in the dialog box.

Rib Stiffener Wizard

The Rib Stiffener command is used to attach a rib stiffener to a structure. With SDM, rib stiffeners are modeled as two dimensional beams which can be attached at three or more points to the structure. The attachment points must be points at which mode shape data is defined in the results table.

When the Rib Stiffener option is selected a dialog box is opened. To define the rib stiffener you must enter its modulus of elasticity, mass density, width, height and attachment DOFs into the dialog box.


Sinusoidal Response

From the main menu select:

Analysis [image] Function [image] Sinusoidal Response

Purpose

To simulate one or more sinusoidal excitation forces on a structure.

Pre-Conditions

You have valid data in your frequency results table

Overview

Sinusoidal Response computes the amplitude and phase of the "deformation shape" of a structure due to one or more sinusoidal (harmonic) excitation forces.

Append

By selecting this option you can simulate the effects of two or more excitation forces on the response of the structure.

Note - To select the 'Append' button, 'Auto-Synthesize' must not be selected.

Synthesize

Computes the amplitude and phase of the "deformation shape" of a structure. The result is stored in the results table in the 'deformation buffer'.

Auto-Synthesize

If selected the amplitude and phase will be recalculated after every change to the dialog settings.


Mode Calculator

From the main menu select:

Analysis [image] Function [image] Mode Calculator

Purpose

To perform calculations on modes.

Pre-Conditions

You have valid data in your frequency results table

Overview

The mode calculator can be used to perform calculations on one or more modes, to create an artificial mode. A common use for this calculator would be to create a composite mode from a number of 'real' modes.

Input

The input window is provided for you to enter your equation. Whilst the calculator will prevent you from entering invalid characters, it is up to you to make sure that the equation makes sense, e.g.

(4+3)/6*2 makes sense4+3)/6*2 does not make sense

Some functions such as √ are displayed as an abbreviated name with a set of brackets; insert the value to be √ between the brackets e.g.

SQRT (9)

Output

If the equation does not involve modes, then the output from a calculation can be stored in one of two output windows. The first output window 'Output Sel', displays the result of a selected part of the input equation e.g.

If the equation reads (4+3)*2 and you select (4+3) the output would be 7

The second output window 'Output', displays the result of the entire input equation.

Equations Involving Modes

To specify a mode within an equation, use the letter 'M', followed by the mode number e.g.

(M1+M2)/2this equation would give the composite mode of modes 1 and 2

If an equation involves modes, then the output will be stored as a mode in the frequency results table. The mode at which the result will be stored can be set using the 'Store At' control e.g.

If 'Store At' = 3 then the equation could be read as M3 = (M1+M2)/2

By default, the mode at which the result will be stored will be the first empty mode.

Note

If you want to Ö a mode, then it is important to note that as modes can have negative result values (you can't Ö a negative value), the application will first switch the sign of any negative values, perform the Ö and then switch the sign back again.


Overview - Advanced Curve Fitting

Advanced Curve Fitting

From the main menu select:

Analysis [image] Function [image] Advanced Curve Fit Wizard

Purpose(s)

1)Estimate modes shapes given a set of measurement data including up to 5 reference DOFs.

The advanced curve fitting feature takes the form of a 'Wizard' giving you a step by step guide to this function. The steps of the curve fitting wizard are as follows:

  1. Create or open a poly-reference file. (see 'Poly-reference Files')
  2. Select your measurement set (see 'FRF Selections')
  3. Estimate frequency and damping.
  4. Select modes from a list of 'Potential' modes. (see 'Identifying Modes')
  5. Select a reference DOF. (see 'Modal Participation Factors')
  6. Estimate mode shapes.

Use the controls at the bottom to navigate the wizard.

Back

Moves to the previous page of the wizard. This option allows you to test certain settings, move on to the next step and then go back and change them if the outcome is undesirable. This option is not available on the first page.

Next

Moves to the next page of the wizard. This option will only be available if the settings for this page are valid (it is sometimes necessary to click a 'Process' button to validate the settings). The next button is not available on the last page.

Finish

The finish button is only available on the last page. The 'Wizard' will be closed and you will be prompted as to whether to wish to animate all your model views.

Cancel

The cancel button exits the 'Wizard'. Completed steps will be saved to the poly-reference file.

Help

View help relative to the current page.


Poly-reference Files

From the main menu select:

Analysis [image] Function [image] Advanced Curve Fit Wizard

Purpose(s)

1) To create, open or save a poly-reference file.

The poly-reference file that you create or open on this page will be used as you progress through the wizard to store your calculations and settings. When you first launch this wizard, if there is a poly-reference file in the project directory with the same name as the project file, it will be opened automatically.

Once you have a poly-reference file, click the 'Next' button to continue.

Measurement Database

Specifies the database (SDD file) containing the measurements that will be used in the curve fit.

Poly-reference File

If a poly-reference file is open, the full path and file name will be displayed.

Create

Creates a poly-reference file. The default filename will be the same as your project filename except the extension will be .PRF.

Open

Opens a previously created poly-reference file.

Save / Save As

Saves the open poly-reference file.


FRF Selections

From the main menu select:

Analysis [image] Function [image] Advanced Curve Fit Wizard

Purpose(s)

1) Select FRF measurements for analysis

2) Select the reference DOFs and Response/Excitation DOFs to use for the frequency and damping estimations.

3) Select the reference DOFs and Response/Excitation DOFs to use for the mode shape estimations.

4) Verify all selected FRFs are consistent.

There are two parts to this stage:

1) Building an FRF Table.

2) Selecting FRFs.

1) Building an FRF Table

This page will only be displayed the first time after creating a poly-reference file. This page is used to select which references are to be used in the curve fitting process, and also to select which response or excitation degrees of freedom (DOFs) are to be included in the analysis. Use of this page involves: selection of MIMO and/or SIMO measurements (reference DOFs), editing of the measurements that were just selected, and acceptance of the selected measurements.

Reference DOFs

There are two lists, the first list displays all the appropriate DOFs in the measurement database (SIMO or MIMO) that are not already selected and the second list contains all the DOFs that have been selected.

Highlight a DOF by clicking on it and use the add button [image] to select a DOF and the remove button [image] to deselect it. Alternatively double click a DOF from either list.

Response/Excitation DOFs

The response/excitation DOF's that are used in the analysis can be further restricted by selecting from a list of directions. The directions that are highlighted in blue are selected.

For example, with the above selection the system will examine the list of selected MIMO and/or SIMO FRFs and will automatically exclude from analysis all FRFs that do not match the selected (X, Y and Z) directions.

2) FRF Selections

This dialog shows the measurements (FRFs) present in the "Advanced Curve Fittiing" file, arranged in tabular form. The FRF Selection window contains two tables of FRFs associated with either "Frequency & Damping" calculations or with "Mode Shape" calculations.

The spreadsheet cannot be editing directly but by right clicking on it you can obtain some functionality.

Verify

A message box will appear to inform you if all selected measurement are valid.

Clear

Unselects all measurements

Select All

Selects all measurements

Print

Send the spreadsheet to the printer.

Directions / Reference DOFs

To select/deselect a specific direction or reference DOF click on "Select Directions" and "Select References" respectively. Each of these options will provide a popup dialog from which you can make your selections.


Estimating Frequency and Damping

From the main menu select:

Analysis [image] Function [image] Advanced Curve Fit Wizard

Purpose(s)

1) Process the selected FRFs to collect appropriate information to estimate frequency and damping.

2) Solve the frequency and damping over model range size and save each solution set.

Frequency Range

The first step to specifying the frequency range is to select the bandwidth from the drop down list. The available bandwidths will depend on the block size of your measurement, for example if the block size of your measurements is 256 then the available bandwidths will be 64,128 and 256. The maximum bandwidth is 2048.

The second step is to select the low or high frequency of the range; this is done using the graph to drag a band to the desired location.

Mode Indicator Function (MIF)

The MIFs are a set of tools to help you distinguish between actual (true) modes and computational (artificial) modes in the selected frequency range.

Process

If any changes are made in this page, you will need to re-compute the results by clicking this button; this will enable the 'Next' button. The results can be viewed on the next page.

Model Size

You should set the 'From' parameter to a value equal to the number of modes that you suspect in this frequency range. The 'To' parameter is generally set to a value twice that of the 'From' parameter. For example, if you believe that there are 10 modes in the frequency range of interest, set the mode range parameters 'From mode' = 10 and 'To' mode = 20. It is generally advantageous to over specify the maximum ('To') number of modes. This is because there may be repeated modes, or modes very close in frequency, that appear as one mode. By over specifying the maximum number of expected modes, you have a better chance of accurately determining how many modes are actually in the specified frequency range. Over estimating the number of modes present does not cause any computational problems, although it does increase the total computing time (this is negligible in modern computers), because a separate computation is performed for each mode size in the specified range, and the computation time increases as the square of the model size.

Process FRFs

If this is selected and you click the 'Process' button, the selected FRF measurements will be assembled and processed for the frequency range that you have previously chosen. The mode indicator functions will be calculated.

Compute Frequency and Damping

If this is selected and you click the 'Process' button, the results of the FRF processing will be used to solve a characteristic matrix polynomial from the modal frequency and damping values over a range of user-specified model sizes. (For a model size of N, the system limits the number of modes identified to N.) The result is a number of modal frequency and damping estimates for each of the model sizes in the specified range.


Identifying Modes

From the main menu select:

Analysis [image] Function [image] Advanced Curve Fit Wizard

Purpose(s)

1)To verify a 'Potential' mode.

2)To assign 'Potential' modes to the frequency results table.

Each of the frequency and damping values in the table below represents a potential mode of vibration of the structure under investigation. The purposes of this command are to determine which of the potential modes are the true (actual) modes of the structure, and which are computational (artificial) modes; and to select certain potential modes and transfer them to the 'Results Table'.

These frequency and damping values are assigned 'Results Table Mode Numbers' and become the basis for the dynamic modes of the structure. These values are used in the next stage of advanced curve fitting to estimate the mode shapes of the structure.

To assign a Results Table Mode Number to a potential mode, do the following:

1) Locate the 'Results Table Mode Number' and enter value between 1 and 50.

2) Inspect the diagram and the table of F&D values, and choose the potential mode to which the Number in the previous step is to be assigned. This choice consists of both choosing the potential mode (from a particular column in the table); and of choosing the F&D values for a particular model size (i.e in a particular row) for the mode.

3) Either

Click the F&D value chosen in the previous step.

or

Use the stability diagram and click the potential mode that was chosen in the previous step.

Note: You can only select a potential mode where the frequency and damping values are not equal to zero, and you cannot select a mode that is already selected.

When step 3 is completed and the assignment of a mode to a 'Results Table Mode Number' is made, the displays change as follows:

1) The F&D values of the assigned mode will have a tick mark next to them.

2) On the Stability Diagram, the circle for the chosen mode and model size is colored red and is surrounded by a larger circle.

3) On the S-Plane Diagram, the symbol for the assigned mode and model size is colored red, and a cross-hair is displayed at the coordinates of the mode.

4) The value of the 'Results Table Mode No.' parameter is automatically incremented by one to facilitate assignment of sequential Results Table Mode Numbers.

Deselecting an Assigned Mode

Select the 'Results Table Mode No.' and then:

either

Click the F&D values (highlighted in blue) on the spreadsheet.

or

Click the potential mode on the stability diagram.

Diagrams

For more information on the 'Stability Diagram', click here.

For more information on the 'S-Plane Diagram', click here.


Stability Diagram

The stability diagram displays model size versus frequency. The diagram has an x-axis that is a scaled frequency axis covering the analysis frequency range, and a y-axis that is labeled by model size and covers the selected size range. The diagram contains a graph of the currently selected mode indicator function (MIF).

Groups of modes for each model size

In the Stability Diagram, the potential modes for each model size are displayed as a row of circles superimposed on the MIF graph, in their correct positions along the frequency axis. There is no damping information shown in the Stability Diagram. The bottom row of circles in the diagram is for the smallest model size. Each higher row of circles corresponds to the next larger model size.

Significance of circle shading

The circles denoting potential modes are shaded according to the following scheme:

The first (bottom) set of circles is always unshaded. If a new pole is calculated for the first time in a larger model size, the first appearance on the Stability Diagram of the frequency/damping values for that pole will be shown as an unshaded circle.

When the next (higher) row of circles is displayed, the system compares the frequency (F) values for each circle in this row with the values for the corresponding circle in the previous row. The differences between the F values in the two rows are compared with the F&D Stability Tolerance values. Each circle in the new (higher) is shaded as described below. (Note that shading denotes stability in the F and/or D estimates of a potential mode.)

-If both the difference in F and D values are out of tolerance, the new circle is unshaded.

-If the difference in F values is in tolerance, the new circle is shaded light gray.

-If both the difference in F and D values are in tolerance, the new circle is shaded dark gray.

The above procedure is repeated for each circle in each new row of circles (i.e for each higher mode size) that is displayed, with the following addition: If both the F and D values for the circles for the same F&D values are stable for two successive model sizes, the newest circle is shaded black to show continued stability. This means there will never be two adjoining dark-gray circles for the same mode; the second (higher) of these circles will be black.

As the model size increases, the system allows an additional number of potential modes to be identified and their F and D values to be calculated. Modes that are actual modes should always have stable F and D values, so that the circles corresponding to these modes will become and stay black with increasing model size. These stable modes should line up with a peak or a valley in the appropriate MIF on the graph, giving further evidence of the existence of an actual mode. Circles representing other potential modes will appear and disappear for various model sizes; these circles will typically be unshaded. These other potential modes are referred to as computational modes because they are artificial modes introduced by the computations of the curve fit algorithm and by measurement errors, and are not actual modes that correspond to vibrational modes of the structure.

The actual modes that should be selected for storage in the results table are those modes generally represented by black circles and that line up with a peak or valley in the different types of MIF.


S-Plane Diagram

The S-Plane Diagram is useful in showing the location of poles, where each pole represents the frequency and damping values of a particular potential mode of vibration. A pole is a complex quantity having a real part and an imaginary part, and is one of the roots of the characteristic equation for a particular model size. The imaginary part of the pole is the frequency of the mode, and the real part is the damping factor of the mode.

The roots of the characteristic equations for all model sizes in the specified range can be plotted on a two-dimensional graph called the S-plane. The x-axis of this graph is the imaginary axis and is referred to as the frequency (or jv) axis. The y-axis is the real axis and is called the damping axis. The value of a pole is a (real, imaginary) pair of values that corresponds to a point on the S-plane. The imaginary part of the pole is plotted along the x/imaginary/frequency axis, and the real part of the pole is plotted along the y/real/damping axis, of the S-plane. By convention, the real part of the pole (the damping factor) is treated as a positive value. Note however that the damping factors of the vibrational modes of electro-mechanical systems or structures (the kind commonly dealt with) are actually negative values, since these modes have negative damping (i.e. the response of the structure decays with time).

The closer that a pole location on the S-plane is to the frequency axis, the smaller is the magnitude of its damping factor, and the more lightly damped that mode becomes. If a pole location is on the frequency axis (the real part of the pole is zero) then the mode is undamped. If a pole crosses the frequency axis so that its real part is positive, then the system is unstable, with positive damping.

The S-plane diagram thus shows the various pole locations for all the model sizes by plotting their locations with respect to the frequency and damping axis.

Units and Range of Value of S-Plane Axis

To facilitate user examination of the S-Plane diagram, the frequency (x) axis covers the specified analysis frequency range (units in Hz); and the damping (y) axis covers the minimum and maximum values of the damping factors of all poles plotted on the diagram (units also in Hz).

Note: The 'damping factor' of a vibration mode is a measure of the rate of decay with time (or the time rate of change) of the amplitude of the mode's impulse response (an exponentially damped sinusoid). The physical interpretation of the damping factor as a time rate of change is the reason that the damping axis has units of Hz.

Annotation of Pole Locations on the S-Plane

To minimize clutter on the diagram, the position of each pole (mode) on the S-plane is plotted as a one-character symbol. The symbol for each mode is located at a point on the plane with real and imaginary values equal respectively to the damping and frequency values of the mode. All the poles for the same model size are plotted using the same symbol. The symbol used is the number of the model size. There can be a maximum of 30 potential modes. For model sizes 1 through 9, the symbols are the numbers 1 through 9. For model sizes of 10 through 30, the symbols are the capital letters A through U.

Note that for a given model size N there can be a maximum of N potential modes, although in many cases the system will find fewer than N potential modes that satisfy the conditions of the curve fitting algorithm. For example, for a model size of N=10, the symbol 'A' may appear on the S-Plane Diagram anywhere from 0 to 10 times depending on the number of modes found by the algorithm.

The S-plane diagram can be selected with either linear or logarithmic scaling for the y/damping/real axis. (Right click the diagram, then select 'Linear' or 'Logarithmic')

Because most of the structures that are analyzed have actual modes that are lightly damped (less than 3% to 4% of critical damping), the poles of these actual modes have small damping factor values with respect to the modal frequency, and are therefore located very close to the frequency axis on the S-plane. By contrast, the computational modes (that are artifacts introduced by the curve fitting algorithm, due to measurement errors, and do not represent modes of structural vibration) typically have large amounts of damping, and their poles are located farther from the frequency axis.

As a result, the true poles often occur close together along the frequency axis of the S-plane and are difficult to visually distinguish from each other. In such a case, use of logarithmic y-axis scaling is useful to separate the pole locations on the diagram: the log format attenuates the y-axis location of large damping values, and amplifies the locations of small damping values.

Estimation of Correct Pole Location on S-Plane

The calculated pole location on the S-plane for each mode of vibration converges to the correct location (i.e the location with accurate modal F&D values) as the model size increases. When the model size is small, the estimated F&D values may contain large errors. As the model size increases, the estimated frequency value of a pole typically converges and becomes stable first, and then the damping value accuracy improves. Generally, the estimated damping value is too large for small model sizes, so that as the model size increases the damping value decreases as it converges on the correct value.

Mode Identification on the S-Plane

In viewing the S-plane diagram, the user should look for a dense grouping of symbols to identify an actual mode of vibration. This is because as each pole (root) of the characteristic equations for the different model sizes becomes stable, its F&D values will not change appreciably, so that the symbols plotted for the pole for the different model sizes (e.g. symbols A,B,C,D,E for model sizes 10 through 15) will closely over-write each other as they converge on the same location. Therefore such a grouping or clump of symbols on the S-plane is direct evidence of the presence of an actual pole location. By contrast, those poles that are computational in nature will not generally display the clumping characteristic, which is further evidence that they do not represent actual modes of vibration.

The dense grouping of symbols on the S-plane diagram can make inspection of the diagram difficult. In addition to log scaling, the "Potential Mode Filters" option can be used to filter out some undesirable poles.

The following commands from the above menu allow the display of the poles in a sequential fashion for additional clarity:

-Show potential modes slowly...

-Click display to show a mode at a time

-Click display to show a model size at a time

-Set mode size range...

'Show Potential Modes Slowly...'

When this command is selected, a "Delay in Milliseconds" dialog box is displayed specifying the delay between the time successive symbols are plotted on the S-plane. A default delay of 400 milliseconds is supplied. Change this value if desired to vary the rate at which the poles are plotted. To cancel the command, click the 'Cancel' button in the box. To start the command with the currently selected delay time, click on the 'OK' button. When the command starts, the S-plane diagram is re-drawn without any symbols present. The pole symbols are then individually displayed by increasing model size, except that the selected modes are displayed (in red) last. The symbols for a given model size (and lastly the symbols of selected modes) are displayed by increasing frequency.

'Click Display to Show a Mode at a Time'

This command allows the user to directly control the display of the potential mode symbols on the S-plane. When the command is executed the S-Plane diagram is re-drawn without symbols. Each time the mouse is clicked at any point within the diagram, the symbol for one pole is displayed. The poles are added by increasing model size, and by increasing frequency for the same model size. When all poles are displayed, further clicks within the diagram cause an audible beep. To complete the command the user then clicks at any point outside the diagram. The S-plane is then drawn showing all symbols, with the symbols of selected modes in red.

Note: to terminate the command before all symbols have been displayed, click on a point outside the diagram. The diagram is then drawn with all symbols shown.

'Click Display to show a Model Size at a Time'

This command is similar to the previous command, except that each click within the diagram causes the symbols for all poles of the same model size to be displayed. As before, the poles are added by increasing model size; after all poles are displayed further clicks inside the diagram cause a beep. Clicking outside the diagram, whether or not all poles are displayed, causes termination of the command and a re-drawn diagram showing all poles, with the selected pole symbols in red and indicated by cross-hairs.

'Set Model Size Range...'

When this command is executed, a 'Model Size Range' dialog box is displayed specifying the model sizes for which symbols are to be plotted on the S-plane diagram.

Enter values in the 'From' and 'To' fields to identify the model sizes for which symbols are to be plotted. The values should obey the following rules:

The 'From' value should be less than or equal to the 'To' value, and the size range must not exceed 1 to 30.

If the 'From' and 'To' values are equal, the poles for only the one specified model size will be plotted.

If 'From' is greater than 'To', no poles will be plotted.

If the size range includes the selected modes, the symbols for these modes will be plotted in red and indicated by cross-hairs.

To abort the command, click the 'Cancel' button in the box. To execute the command, click the 'OK' button. The symbols for only the specified model size range are then all plotted on the S-plane.


Modal Participation Factors

Modal Participation Factors (MPF)

From the main menu select:

Analysis [image] Function [image] Advanced Curve Fit Wizard

Purpose(s)

1)Calculate complex or real modal participation factors (MPF).

2)Display MPF for each mode and reference DOF.

3)Select a reference DOF to use for mode shape calculation based on the MPF for each mode.


Estimating Mode Shapes

From the main menu select:

Analysis [image] Function [image] Advanced Curve Fit Wizard

Purpose(s)

1)Calculate complex or real modes shapes.

2)Display synthesized curve fit with actual FRF.

3)Transfer estimated mode shapes to frequency results table.


ISO 9614-1 Field Indicator F1

Field Indicator F1

From the main menu select:

Analysis [image] Function [image] Field Indicator 1

Purpose(s)

  1. To check the stability of a sound field.

Pre-Conditions

A sequence of cross power spectrums or intensity measurements for a specific location and direction must be stored in the measurement database.

F1 is the ratio of the standard deviation to the mean value of a number of intensity measurements taken at a single point. This function is referred to as the Sound Field Temporal Variability Indicator. This function provides a check for the stability of the sound field.

An assumption in using the intensity technique for sound power analysis is that the source is stationary. Therefore, this function checks to see if the background noise is also stationary. This check should be performed before and after measurement on any one surface.

Data type

In most cases select cross power spectrum. The intensity option has been given for compatibility with some octave analyzers.

DOF

Select the point/direction where the sequence of measurement were acquired.

Sequence Range

Each measurement in a sequence is stored in a different frame in the measurement database. Select the frame range in which the measurements are stored.

Band Type

For narrowband analyzers, select whether the F1 calculation should be performed on a 1/1 or 1/3 octave basis.

Start Computation

When you have entered all the necessary parameters, click OK. If successful you will be able to view the indicator as a data type using the 'Graph View Control' selecting the 'Plot' page.

Theory

F1 is defined as:

where:

is the mean value of In for M short-time-average samples Ink calculated from the equation:


ISO 9614-1 Field Indicators F2, F3 and F4

Field Indicators F2, F3 and F4

From the main menu select:

Analysis [image] Function [image] Field Indicators 2, 3 and 4

Purpose(s)

  1. Compare the intensity against the dynamic capability of the measurement system.
  2. Check for strong background noise.
  3. Identify phase mismatch problems
  4. Check for surfaces containing a combination of positive and negative instensity.

Pre-Conditions

A sequence of cross power spectrums or intensity measurements for a specific location and direction must be stored in the measurement database.

The field indicator functions F2, F3, F4 are global indicators which are typically evaluated over all of the measurement surface or all of a component. Because they are typically evaluated over the same measurement surface or component, their calculation has been organized together in this application.

Surface Pressure-Intensity Indicator - F2

F2 is the dB level difference between the averaged pressure values and the absolute value of the intensity values. This value is compared to the dynamic capability (Ld) of the measurement instrumentation as indicated in Criterion 1 discussed below. If the F2 indicator is less than Ld this indicates the intensity values are on the average within the dynamic capability of the measurement system.

Negative Partial Power Indicator - F3

F3 is used in the computation of the indicator of strong extraneous noise (F3 - F2). If F3 and F2 are significantly different, it is probable that there is strong background noise flowing in the direction of the source being measured. (F3- F2) is actually the level difference between the averaged intensity values and the averaged unsigned intensity values. If there is a large difference, it indicates that negative intensity has been measured. This negative intensity is indicative of strong background noise or phase mismatch problems.

Field Non-Uniformity Indicator - F4

F4 is the ratio of the standard deviation and mean value for the intensity measurements taken over the control surface. The standard deviation indicates the variation of the measured intensity over the measurement surface. The larger the deviation, the more measurement points that will be required by Criterion 2 discussed below. A combination of positive and negative intensity values will result in large standard deviations.jj

Theory

where:

is the surface sound pressure level calculated from:

and

is the surface normal unsigned sound intensity level, in decibels, calculated from:

dB

Where |Ini| is the unsigned normal sound intensity at measurement position i.

where:

is the mean surface sound pressure level, as calculated for F2 above

and

is the mean surface normal signed sound intensity level calculated from:

where:=

Ini is the signed normal sound intensity at measured position i.

I0 is the reference sound intensity (= 10-12 W/m2)

where:

is the surface normal sound intensity calculated from the equation:


ISO 9614-1 Evaluation

From the main menu select:

Analysis [image] Function [image] ISO 9614-1

Purpose(s)

  1. To generate a report based on criteria defined in ISO 9614-1

Pre-Conditions

Before generating this report you must first calculate the appropriate indicators F1 and F2, F3 and F4.

Generating the report

Select your desired grade of accuracy and click ok. The report can be seen on the 'Analysis View', and will be saved in your project directory as a 'Rich Text File'. It may also be saved as a text document.

Note It is extremely important to note that there are other factors involved in the ISO 9614-1 evaluation of intensity data that are not covered by this function.

This evaluation examines the intensity data with respect to the field indicators only. All other checks are the user's responsibility.

Achieving the Desired Grade of Accuracy

The logic flow chart shown below describes the application of ISO 9614-1 Criterion tests. It is prudent to familiarize oneself with the flow chart and related requirements before starting an intensity test to meet this standard.

NOTE: The path enclosed in broken lines represents an optional procedure designed to minimize the number of additional measurement positions required on the initial measurement surface.

Figure 5. Scheme For The Procedure For Achieving The Desired Grade Of Accuracy

Following is a brief outline of the Criterion tests and the actions that can be taken to increase accuracy.

Criterion 1

Ld > F2 ?

This is a test of the dynamic capability of the system compared to the level of the data being measured. If the criterion is not met, see Table 2 below.

Criterion 2

N > C F42

This is a check for the adequacy of the chosen array of measurement positions. N is the number of array positions and factor C is a constant determined using Table 1 below. If the criterion is not met, see Table 2 below.

Table 1 - Values For Factor C

Octave 1/3 Octave C
Band Center Band Center Precision Engineering Survey
Frequencies Frequencies (grade 1) (grade 2) (grade 3)
Hz Hz

63 - 125 50 - 160 19 11 --
250 - 500 200 - 630 29 19 --
1000 - 4000 800 - 5000 57 29 --
6300 19 14 --
A-weighted ( 63 Hz - 4 kHz or 50 Hz - 6.3 kHz ) -- 8

Table 2 - Actions to be Taken to Increase Grade of Accuracy of Determination

Criterion Action Code Action

F1 > 0.6 | e | Take action to reduce the temporal variability of extraneous intensity or measure during periods of less variability or increase the measurement period at each position (if appropriate).
F2 > Ld or F3 - F2 > 3 dB | a | In presence of significant extraneous noise and/or strong reverberation, reduce average distance of measurement surface from source to minimum average value of 0.25 meters. In absence of significant extraneous noise/reverberation, increase average distance to 1 meter.
 | or |
 | b | Shield measurement surface from extraneous noise sources or take action to reduce sound reflections towards the source.
Criterion 2 not satisfied and 1 dB £ (F3 - F2) £ 3 dB | c | Increase the density of measurement positions uniformly in order to satisfy criterion 2.
Criterion 2 not satisfied and (F3 - F2) £ 1 dB | d | Increase average distance of measurement surface from source using the same number of measurement positions or increase number of measurement positions on the same surface.


ISO 9614-2 Average Intensity

Compute Average Intensity

From the main menu select:

Analysis [image] Function [image] Compute Average Intensity

Purpose(s)

1) To use the Rank Source feature.

2) The compute data for the normal direction in the results table.

Pre-Conditions

None

Average Intensity

This acoustics package will compute the intensity within each band for each measurement segment and place the results in the results table. When this computation is completed, the results table will contain entries in two of the three directions for each measurement location. The third direction, the area normal direction for each segment, will contain zeros. The computed average intensity is stored in the area normal direction for each segment.

Once the average intensity is calculated it is possible to go directly to the rank sources command and compute partial and total sound power. Since the noise source ranking and sound power computation use only the area normal direction intensity values, all power computations will be based on the computed average intensity. However, the results may not meet ISO/DIS 9614-2 requirements because the field indicators and repeatability check have not been computed and evaluated. It is suggested that this computation and evaluation be performed before proceeding with sound power computation.

To Compute the Average Intensity

To compute the average intensity simply click OK.


ISO 9614-2 F+/-, FPI

F+/-, FPI

From the main menu select:

Analysis [image] Function [image] F+/-, FPI

Purpose(s)

  1. To determine if there are high levels of extraneous noise and/or an inadequate measurement surface.
  2. To determine if measurement conditions may be causing excessive statistical uncertainty in the computed sound power levels.

Pre-Conditions

N/A

Negative Partial Power Indicator F+/-

The negative partial power indicator F+/- is a decibel representation of the portion of the total sound power being contributed by areas with negative partial power, calculated for each frequency band. Excessive contribution of negative partial power typically indicates high levels of extraneous noise and/or an inadequate measurement surface.

Sound Field Pressure-Intensity Indicator FPI

The sound field pressure-intensity indicator FPI is an indicator of the ratio of pressure to intensity across the entire measurement surface. This indicator can be compared to the dynamic capability index (Ld) of the measurement system to determine if measurement conditions may be causing excessive statistical uncertainty in the computed sound power levels.

Computing Indicators

Select the results table intensity type, A-Weighting and amplitude correction choices and click OK to start the computation.

Viewing the Indicators

If the indicators have been successfully computed they will appear as data types on the 'Plot' page of the 'Graph View Control'.


ISO 9614-2 Evaluation

From the main menu select:

Analysis [image] Function [image] IS0 9614-2

Purpose(s)

  1. To generate a report based on criteria defined in Annex B of ISO/DIS 9614-2

Pre-Conditions

Before generating this report you must calculate the Negative Partial Power Indicator and the Sound Field Pressure-Intensity Indicator

Generating the report

Select your desired grade of accuracy and click ok. The report can be seen on the 'Analysis View', and will be saved in your project directory as a 'Rich Text File'. It may also be saved as a text document.

The Evaluation

The evaluation function will implement the three criteria tests defined in Annex B of ISO/DIS 9614-2 and produce a report of the results. The three criteria tested are:

criterion 1

That is, the dynamic capability index Ld should be greater than the sound field pressure-intensity indicator FPI in each frequency band of the measurement. See the section of this manual on ISO 9614-1 for a definition of the Dynamic Capability Index Ld.

criterion 2

That is, the negative partial power indicator F+/- should be less than or equal to 3 dB in each frequency band of the measurement.

criterion 3

That is, the partial power repeatability for the two measurement scans should be less than the standard deviation s in each frequency band of the measurement, where s is given in Table 1 for the appropriate test grade and frequency range.

Table 1 - Standard Deviation (s)

Octave 1/3 Octave Standard Deviation (s)
Band Center Band Center Engineering Survey
Frequencies Frequencies (grade 2) (grade 3)
Hz Hz

63 - 125 50 - 160 3 --
250 200 - 315 2 --
500 - 4000 400 - 5000 1.5 --
6300 2.5 --
A-weighted ( 63 Hz - 4 kHz or 50 Hz - 6.3 kHz ) 1.5 * 4

* The true value of the A-weighted sound power level is to be expected with a certainty of 95% in the range ± 3 dB about the measured value.

Note It is extremely important to note that there are other factors involved in the ISO/DIS 9614-2 evaluation of intensity data that are not covered by this function. This is particularly true if the data is A-Weighted.

This evaluation examines the intensity data with respect to the field indicators and partial power repeatability check only. All other checks are the user's responsibility.

Achieving the Desired Grade of Accuracy

The logic flow chart below describes the application of ISO/DIS 9614-2 Criterion tests and actions to be taken to increase the accuracy of sound power level determination. It is prudent to familiarize oneself with the flowchart and related requirements before starting an intensity test to meet this draft standard.

Figure 1. Scheme For The Procedure For Achieving The Desired Grade Of Accuracy

Table 2 -Actions to be Taken to Increase Grade of Accuracy of Determination

Criterion Action Code Action

FPI > Ld and F+/- > 3 dB | a | Halve the average distance of the measurement surface from source to not less than a minimum average value of 100 mm and double the scan line density.
 | or |
 | b | Shield the measurement surface from strong extraneous noise sources by means of a screen.
FPI > Ld and F+/- £ 3 dB | a | Halve the average distance of the measurement surface from source to not less than a minimum average value of 100 mm and double the scan line density.
çLwi (1) - Lwi (2) ç > s | c | Identify and suppress causes of temporal variation in field conditions or, if this fails,
 | d | double the scan line density on the same segment.
çLwi (1) - Lwi (2) ç > s and F+/- £ 1 dB | e | Double the average distance from the measurement surface to the source keeping the same line density.


Composite Sound Power

From the main menu select:

Analysis [image] Function [image] Composite Sound Power

Purpose(s)

  1. As an indication of the frequency content of the sound power emitted from the test object.
  2. Help isolate causes of noise sources.

Pre-Conditions

One or more cross power or intensity spectrums must exist in the measurement database

A composite sound power spectrum is a summation of the individual sound power spectra over a given range of points or components. This function provides an indication of the frequency content of the sound power emitted from the entire measured test object and can help isolate causes of noise sources.

Source

Select the initial data type from which the calculations will be made. If a data type does not exist in your measurement database it will be grayed out.

Range

Spectral summation may be specified over a range of points or over one or more components.

If 'Point' is selected, the measurement points corresponding to the point range defined in the text boxes will be used. Selecting the 'All' check box will indicate that all available measurements are to be used. Alternatively if 'Component' is selected, then only those measurements assigned to the selected components will be used. Components are selected or de-selected by clicking on the component name. Selected components are highlighted.

Note: if 'Component' is selected, the 'OK' button will be grayed out unless one of more components are selected.

Computation

When you are ready to calculate the composite sound power spectrum click 'OK'


Compute Results Data

Measurement Editor - Compute Results Data

From the main menu select:

View [image] Control Bars [image] Editor

Using the 'Measurement Editor' select the 'Compute Results' page.

Purpose(s)

To analyze bands of data in one or more measurements and store the results in a table. This will allow the following features:
  1. Contour Maps
  2. Rank Noise Sources
  3. Vector Displays

Pre-Conditions

  1. At least one graph view must be selected
  2. There are appropriate measurements in the database

Current Measurement

The settings on this page will reflect the last measurement selected from a graph view. You may change these settings before computing the results, however if you select another measurement from a graph, your changes may be lost.

DOF

If you only want to process a single measurement, then enter the appropriate DOF. Alternatively select the measurement from a graph view. If you enter an invalid DOF in may be reset to the last valid DOF used.

Data Type

The available data types will depend on what you have in your measurement database. You may be able to select from the following

  1. Cross Power
  2. Intensity
  3. Sound Pressure Level
  4. Frequency Response

Band Type

If the data type is set to Intensity or Sound Pressure Level, you will need to specify the desired band type. Select from:

  1. Narrowband
  2. User Defined (see User Bands)
  3. 1/1 Octave
  4. 1/3 Octave

Peak Picking Options

If the data type is set to cross power or frequency response, you will need to pick the appropriate fit method. Select from:

  1. Coincident
  2. Quadrature
  3. Peak

Weighting and Correction

Select any weighting and correction that you wish to apply to the measurements before you process them into the results table.

Band

If the data type is set to cross power or frequency response, or if the band type is set to 'User Defined', you can choose whether to process the current band or all the bands.

Measurement

You can process a single measurement (the current one), or you can choose to select a range of measurements. If you choose to select a range, when you start the process you will be prompted to specify the desired range.

Fit

When you are ready to start processing the measurements, click the 'Fit' button. This button may not be enabled if the current selections are not valid.

Repeat

If you are fitting a range of measurements, and you click the 'Fit' button to start the process, you will be prompted to specify the desired range. It may be that you need to change a particular setting (such as band type) and re-process the measurements. Clicking the 'Repeat' button will skip having to re-enter the range. The 'Repeat' button will not be enabled when processing a single measurement or if a valid range has not been entered yet.


Rank Sources

From the main menu select:

Analysis [image] Function [image] Rank Sources

Purpose(s)

  1. To rank your model by point or component in terms of power.

Pre-Conditions

Before using the Rank Sources function you must process your intensity measurements into the results table (see Compute Results Data). A valid area must be assigned to each measurement point.

The processed data can be viewed as power in watts, dB or as a percentage of the total power. This data can be displayed and sorted by point or component.

Copying the Data to the Clipboard

If you are viewing the table, highlight some data, then right click the spreadsheet and select 'Copy' otherwise just click the 'Copy' button. When copying the chart to the clipboard you are copying both the chart and the values, some applications will allow you to select the data to 'Paste' using the 'Paste Special' option.

Rotating the Chart

If the chart is in 3d mode (under 'Band' select 'All') then you can rotate the chart using the following technique:

  1. Hold down the 'Ctrl' button
  2. Click and hold the left mouse button onto the chart
  3. Drag the mouse to rotate the chart.


Frequency Domain

Results - Frequency Domain

From the main menu select:

Analysis [image] Results [image] Frequency [image] Frequency and Damping

Purposes

  1. To view each mode shape in your results table in tabular format.
  2. To edit data in your results table. For example you may have a rogue point that you wish to reduce the magnitude for.

Overview

The Results table contains the modal parameters for each mode of vibration that is defined in the project. This data is normally entered into the Results table by curve fitting measurements, but it could also have been imported from an outside source.

The Results table can be viewed in 3 formats which can be selected using the tabs at the top of the page

  • Frequency and Damping
  • Points
  • Shapes

The selections under each tab are interlinked. For example, if you select a mode (click the appropriate spreadsheet cell) under 'Frequency and Damping' and then click on the 'Shapes' tab, that same mode will now be displayed in full. Likewise if you now select a cell corresponding to a point and direction on the 'Shapes' spreadsheet, and then click on the 'Points' tab, the DOF (point and direction) will be displayed in full.

Under each tab you can right click the spreadsheet, or model/graph view to display a popup menu with further options.

Frequency and Damping

This format lists the Frequency and Damping of all the identified modes in the Results table.

If you right click the spreadsheet you can also display damping that has been compensated for windowing. The damping compensation must have been setup under 'Project Parameters'

Points

This format shows the Frequency, Damping and Residues of all the identified modes in the Results table, one measurement at a time.

You can select the measurement from the drop-down list under 'DOF'. If the selected DOF is in your measurement database it will be displayed on the graph. A synthesized (from your curve fit) FRF may be overlayed if it is found in your database.

Shapes

This format shows the Frequency, Damping and Mode Shapes of all the identified modes in the Results table, one mode at a time.

You can select the mode shape from the drop-down list under 'Mode'. The mode shape will be animated in the model view below the spreadsheet.

Deleting all the Results

Right click the spreadsheet and select 'Delete All'.

Printing the Table

Right click the spreadsheet and select 'Print'.


Time Domain

Time Domain Analysis - Results

From the main menu select:

Results [image] Time

Purpose

To view the results from Time Domain Analysis in tabular format

Pre-Condition

You must of processed your time data, click here for more info.


Modification Overview

Modifications can be added to your structure and the result(s) of, simulated.

See Structural Dynamic Modifications


Navigation Overview

The options and tools that are available to you will depend upon the view mode that is currently selected

Using the tabs at the bottom of the window you can select

Model.

Measurements.

Analysis.

Single (a single view; graph or model).


Toolbars

Showing/Hiding

By default, all toolbars are visible when the application is first launched, but they can be shown/hidden using the main menu

'View'

This toolbar can be used to layout your views, either graphs or model views

'Function'

This toolbar allows you to launch most of the main analytical functions provided within CATS Modal. It also contains an abort button for terminating a lengthy process.


Overview - Model View Control

From the main menu select:

View [image] Control Bars [image] View Control

Purposes
  1. To edit the properties of one or more model views.
  2. To animate a model.

Overview

The 'Model View Control' can be used to setup and edit all the aspects of a model view, from the angle a model is viewed, to controlling a variety of animations. The tabs at the top ('View', 'Animation', etc..) allow you to select the page containing a specific group of controls, for example the 'Show' page contain controls for showing or hiding different things like axis and labels etc.

To use this control, you must first select a model view by clicking on it, or using the drop down list at the bottom of the control. You can select multiple views by hold down the 'Ctrl' button whilst clicking on each 'Model View'. A Selected model view has a border around it. You can also click the 'All' button (or press Ctrl + A) to select all the views.

Once you have selected your views, any changes that you make using the 'Model View Control' will be applied to each view.

Pages

The 'Model View Control' contains the following pages that you can select using the tabs at the top of the control. Click on each for more information.

  • View
  • Animation
  • Show
  • Styles
  • Rendering
  • Image
  • SketchBox


Model View Controls - View

Model View Control - View

See also 'Model View Control - Overview'

From the main menu select:

View [image] Control Bars [image] View Control

Using the 'Model View Control' select the 'View' page.

Purposes
  1. To change the angle of view.
  2. To zoom in/out.

Pre-Condition

At least one model view must be selected.

Angle of View

You can view your model from the following predefined angles:

  • Front
  • Top
  • Side
  • User

If you want to rotate your model you must select 'User'.

Rotating

You can rotate a model about one of the axis (x, y and z) using the controls under 'Rotation'. 'Delta' specifies the number of degrees of rotation with each step.

You can also rotate using the mouse on the set of axis at the top of the page. Left click, hold and drag the mouse cursor perpendicular to one of the axis. For more information on rotating using the mouse see 'Model View'

Auto Rotate

Select the 'Auto Rotate' button to continuously rotate about one or more axis. Once selected you must click one of the rotation buttons to start. Clicking the opposite direction will stop the rotation about that axis.

Zoom

Use the slider under 'Zoom' to increase (to the right) or decrease (to the left) the size of the model in the view.


Model View Control - Animation

See also 'Model View Control - Overview'

From the main menu select:

View [image] Control Bars [image] View Control

Purposes

  1. To animate mode shapes.

  2. To animate time domain analysis.

  3. To animate operating deflection shapes.

Pre-Condition

At least one model view must be selected.

Layer

Layers can be used to overlay multiple modes shapes, or an undeformed model. By default you start with a single layer, for which you can select the type of animation and other properties. If you want to display a second layer, change the 'layer' to 2 and select a type of animation other than 'No Animation'.

Note You cannot display multiple overlays with Time Domain Animation. Also, you may not overlay mode shapes from your results table with operating deflection shapes.

The maximum number of layers is limited to 2 at present.

Normalize

By default, when mode shapes are overlayed, they are normalized. This means that the maximum motion for each shape/layer will be the same, since in most cases the actual amplitude is not relevant You can unselect this option if you choose.

The 'Normalize' button is only available if multiple layers are active.

Sync

By default, each layer is synchronized so that when you change the current frame, every layer is updated. If you unselect the 'sync' button, you can adjust the current frame individually for each layer. This can be useful when overlaying the same mode shape in a static image (e.g. for printing), to help visualize the shape.

The 'Sync' button is only available if multiple layers are active.

Type of Animation

Under 'Layer Properties' you must select the type of animation that you want for the active layer.

No Animation

Selecting 'No Animation' will turn off the active layer and any other layers that follow it.

Frequency Results

Select 'Frequency Results' to view a mode shape from your Frequency Results Table.

- Deformation

Select '- Deformation' to animate the results of 'Sinusoidal Response'.

Time Results

Select 'Time Results' to view the animation of your 'Time Domain Analysis'.

ODS

Select 'ODS' to view your operating deflection shapes. The animation is automatically reprocessed when you select a frequency, using measurements from your database. The type of measurement used will depend on your selection e.g. 'ODS (Frequency Response) or ODS (Time).

You can select the frequency using the controls provided or you can display a graph below your 'Model View', by using the main menu and selecting View >> Show Selected Graph. The frequency will automatically update when you move the graph cursor for a plot. You can only edit the graph (e.g. change the plot) by selecting the 'Measurement' tab below the graph.

Complex
The 'Complex' button is used to change the animated mode shape display from a Normal mode to a Complex mode display.

Mode shapes are usually defined and identified as complex vectors. That is, each DOF of a mode shape is represented by an amplitude and phase. In the most general case, the phase can be any angle between zero degrees and 360 degrees. However, in many cases it is beneficial to simplify the results by "normalizing the" mode shapes. This is done by resolving all of the phase angles so that they are either zero degrees or 180 degrees.

A Complex mode shape will often exhibit a "travelling wave" effect when displayed in animation due to differences in the phase angles between various DOFs.

A Normal mode will exhibit a uniform motion, with all points passing through zero amplitude and maximum amplitude at the same time.

Vector

The 'Vector' buttons displays the undeformed structure with vectors protruding from its surfaces, using the mode shape amplitude and direction to define the vectors. The display is then modulated with a Sine function to create the animation.

Frames

The number of frames that you select controls the speed and smoothness of the animation. The range that you can select from, depends on the type of animation:

Frequency Results or ODS

You can specify any number between 2 and 1800, or use the drop down list to select from a list of common choices.

Time Results

You can specify any number between 2 and the number of frames in your TDA Results Table, or use the drop down list to select one of the predefined values.

Selecting a Frame

You can select a specific frame by stopping the animation, and using the slider control below the play button.

Amplitude

Amplitude is specified as a number between zero and 100. Zero corresponds to no amplitude of animation, or an undeformed structure. One hundred corresponds to the maximum amplitude of animation. The maximum amplitude is automatically determined by the software.


Model View Controls - Show

Model View Control - Show

See also 'Model View Control - Overview'

From the main menu select:

View [image] Control Bars [image] View Control

Using the 'Model View Control' select the 'Show' page.

Purpose

To show or hide elements of a model view

Pre-Condition

At least one model view must be selected.

Components

The list of components can be used to select which components to show. Click on the component name to select it, or deselect it.

Model

By default the 'Model' button is selected. Unselecting this button will hide the model. The main reason for doing this is when displaying the Grid Axis to give a better view of the reflections

Modifications

Select the 'Modifications' button to show your 'Structural Dynamic Modifications' on the model.

Points

Select the 'Points' button to emphasize the points on your model. If you have assigned a 'Measurement Point' to a component point then the point will be filled in (solid), otherwise it will be hollow. The size of the points can be specified in the range 1-10.

Note that this will be overridden if you display 'Point Status' using the 'Acquisition Control'.

Axis

Component

If selected, a set of axis will be drawn at the center of each component. By default the orientation of a component is the same as the model as a whole, but this can be changed.

Point

If selected, a set of axis will be drawn at the selected point on the model. If the model view is in 'Select' mode (right click view), the selected point can be changed by clicking on or near to another point.

The axis represent how a transducer was (or will be) orientated in relation to the model. This is particularly useful if using cylindrical or spherical coordinates as the orientation will be different for every point.

Grid

The 'Grid Axis' show the global axis of the model and can display a reflection of the model on each of the grid.

The grid can used for a number of purposes:

  • To view the motion of a model from four angles in a single view.
  • To clearly see the motion of a model in all three directions
  • To help in adjusting the offset and orientation of components in relation to each.

Note: The model is redrawn on each side of the grid axis in 2d.

Highlight Selection*

It is possible to highlight a point, line or component in a model view. This can be used to reduce the amount of point information displayed (see below) or as a means of selecting for use by the 'Model Editor'. The selected point, line or component can be chosen my clicking the mouse in model view. The nearest point, line or component is chosen.

If [image] is selected then the point, line or component nearest to the mouse cursor will be selected, however this method will not update the 'Model Editor', for this you must still click the left mouse button.

Display Point Information*

You can output the point number or the analysis result value next to each point on the model. If the 'Highlight Selection' (above) is used, then only those points will have text displayed by them. Using the 'Highlight Selection' can be useful to reduce clutter in a model view.

* Does not apply when the rendering mode is set to OpenGL (see Rendering)


Model View Controls - Styles

Model View Control - Styles

See also 'Model View Control - Overview'

From the main menu select:

View [image] Control Bars [image] View Control

Using the 'Model View Control' select the 'Styles' page.

Purposes

  1. To change the colors used in the selected model views.
  2. To change the fonts used in the select model views.
  3. To change the line thickness for different elements of the selected model views.

Pre-Condition

  1. At least one model view must be selected

Colors

To edit a single color, double click the color box inside the spreadsheet. To edit multiple colors, left click and drag to highlight multiple rows and then click the 'Color' button.

Component Colors

Select the 'Use Component Colors' button to override the 'Line' and 'Overlay' properties with the color specified in the Component Setup. Click the 'Edit' button or use the main menu and select Model>>Setup>>Components, to specify the color for a component.

Fonts

Font properties will have the text '(Font)' in the description. To edit a single font, double click a cell from the 'size' column. To edit multiple fonts, left click and drag to highlight multiple rows and then click the 'Font' button.

Line Widths

If the description does not contain the text '(Font)' and the size does not say 'N/A' then you can edit the line width for that property. This can be useful way to emphasize elements in the view. To edit a single line width double click a cell from the 'size' column and enter a new size. You cannot edit multiple line width at the same time.

Defaults

It is possible to save the styles as a default which will be used when you create a new model view, or to apply to an existing model view.

Load Default

Right click the spreadsheet and select 'Load Default' to apply your default styles (if saved) to the selected model views. If you have not saved any styles yet, the application defaults will be used.

Save as Default

Right click the spreadsheet and select 'Save as Default' to save the current styles as a the default.

Restore Defaults

Right click the spreadsheet and select 'Restore Defaults' to restore the default styles to the application defaults. This will overwrite any defaults that you have saved.

If settings are changed on this page then any changes will be applied to the selected views or to all views if the 'All' button is selected.


Rendering

Model View Control - Rendering see also 'Overview'

Use the 'Model View Control' and select the 'Rendering' page.

Purpose(s)

1) To setup the method of rendering a view. e.g displaying a solid model or a wire frame model.

If settings are changed in this dialog box then the settings will be applied to the selected view or to all views if the 'All' button is selected.

Mode

The default option allows a greater control over a view, for example the ability to highlight point and lines. The OpenGL option allows the viewing of solid surfaces (if you have defined them).

Draw

Select what you want to be drawn:

Points - [image] Lines - [image] Surfaces -

Shading

Shading is only applicable when displaying solid surfaces. If using default or flat shading then the colors will be based on the component colors.

Note: When using the 'default' shading, the result is best when the component colors are of a light shade.

Emphasize Mag

This option allows the colors used for a model to be based on the magnitude of each point (from the frequency results table), therefore allowing you to see where the motion is greatest and smallest.

Note: You don't need surfaces to use this feature. If you want to use this feature with lines, then you must not draw the surfaces (see 'Draw' above).

Calculate Range

Selecting this option will space all the levels in the above control evenly based on the minimum and maximum magnitude for the current mode.


Model View Control - Image

From the main menu select:

View [image] Control Bars [image] View Control

Purpose(s)

  1. To specify a background image for a model view

Pre-Conditions

  1. At least one model view must be selected
  2. The model view is rendered using the 'default' option, i.e. no solid surfaces


Sketch Box

Model View Control - Sketch Box see also 'Overview'

Use the 'Model View Control' and select the 'Sketch Box' page.

Purposes

  1. To visually design a component.
  2. To sketch around an image.

If settings are changed on this page then the settings will be applied to all selected views. However some of the settings on this page require that only a single view is selected.

Overview

A sketch box consists of the following:

  • A three dimensional grid.
  • Up to 6 images, one for each side of the grid.
  • The sketch.

Each model view (except when rendered using OpenGL) can be set to view the sketch box instead of your project model. There is only ever one sketch box though.

A model view can be set to view a specific side of the grid. This view can then be used to draw in two-dimensions, the third dimension will depend on the side of the grid. This can be likened to drawing onto the side of a box.

Turning on the Sketch Box

Select a model view and click the 'On' button.

Defining the grid

Using the section labeled - Size/Detail, enter the width for each dimension (x,y and z). The second value for each dimension represents the number of divisions on the grid. This is particularly important when the check box 'Snap to Grid' is turned on.

The grid should be defined before sketching your component as this will delete any previous sketch.

Viewing the grid/sketch

The grid can be viewed from one of seven angles; front, back, top, bottom, left, right and all. When viewing 'all' it is not possible to sketch onto the grid.

A number of helpers (rulers, cursors etc), can be shown or hidden for each view.

Rulers

Each view can contain a horizontal and a vertical ruler. The distances shown are in model units and will be updated to reflect the grid dimensions.

A ruler can be moved by positioning the mouse cursor over the ruler, holding down the left mouse button and dragging to a new location. Note that when the mouse cursor is held over the ruler, the cursor will change appearance.

Each ruler contains a small black marker. The distances shown on the ruler are measured from this marker. A marker can be moved by positioning the mouse over the marker, holding down the left mouse button and dragging to a new location. The markers for both rulers can be quickly relocated by right clicking on the model view. The marker's positions are reset if the model view is resized.

Guide

Each view can contain a guide, this consists of the following:

  • A horizontal and vertical line across the view representing the mouse position.
  • A dotted line drawn from last point drawn to the mouse position and the distance in model units.
  • The angle in degrees (0-90) between the last point drawn and the mouse position.
  • The model coordinates (3D) for current mouse position. If a point is drawn, these are the values that are added to your coordinates table. This information is displayed at the bottom right hand corner of the view.

Drawing / Editing

This will depend on the current mode, each view can have a different mode.

Draw Line (default)

Clicking the left mouse button will add a point and draw a line between this point and the previous point (if a previous point exists). If you want to draw a point without connecting with a line, hold down the 'Ctrl' button while clicking the left mouse button. If the 'Snap to Grid' option is selected then the point will be added at the nearest point on the grid.

Draw Polygon

This mode allows the drawing of equalateral polygons around the position where the left mouse button is clicked. The left mouse button should be held down while sizing and rotating the polygon. The number of points on the polygon is specified in the edit box to the right of the 'Mode' selection.

Move Point

When this mode is selected each point on the sketch is highlighted with a circle. The selected point is highlighted with a larger circle. To select a point, left click the mouse button in the model view, the nearest point will be selected. Once selected, a point can be moved by positioning the mouse cursor over the point, holding down the left mouse button and dragging to a new location. The selected point can also be moved using the arrow keys.

Note, it may be advantageous to use the 'Merge Points' operation, described later, prior to using the 'Move Point' mode.

Operations

There are a number of operations that can be applied to your sketch. Some operations are applied to the whole sketch, others are applied to the part of the sketch associated with the selected view. The operation can be applied by clicking the '->' button to the right of the selected operation.

With the exception of the 'Merge' and 'Clear' operations, the sketch can be restored to its state prior to applying an operation by clicking the 'Undo' button.

Merge

Once you have finished designing your component, this operation is used to merge the sketch with your project model. The selected model view will be reset to view the project model, instead of the sketch box.

Clear (default)

This operation will delete the entire sketch.

Merge Points

The merge points option enables the removal of near duplicate points. On selecting this option you will be prompted to enter a tolerance. The tolerance is a distance in model units, any points that are closer than this distance will be merged.

Mirror

This option can only be applied to a single side of the sketch box. The sketch associated with the selected side, will be mirrored onto the opposite side.

Stretch

This option is useful in turing a two-dimensional sketch into a three-dimensional object. On selecting this option you will first be prompted to enter a location to stretch to, and then to enter the number of divisions. The default is to stretch the two-dimensional shape to the opposite side of the grid. In the example below a square is stretched to the opposite side with 2 divisions.

Move To

This option will take all the points associated with the selected side of the sketch box and move them to the location entered when prompted. This location is the coordinate in the third direction.

Move By

Similar to the the above operation 'Move To', this option will move the point by a specified amount rather than to a specfic location

Assigning images to the grid

If you are assigning multiple images, it is important to ensure that the object of interest (in each image) is of a consistant size. Either capture the image at a set distance from the object, or use a paint package to resize the images.

You can used the 'Match Image Ratio' check box to keep the grid ratio consistant, then if one dimension of the grid is changed, for example if you know the length of the object, then the other dimensions will be automatically adjusted to fit the change.

To load an image, click the 'Load' button and browse for the image. The loaded image will be applied to the side of the grid currently being viewed.


Overview - Model Editor

Purpose(s)

1) To edit a model whist being able to view the changes as they are made.

To see this control:

1)A model view must be visible in the selected document window.

2)The document window tab must be set to 'Model'

3) [image] Must be selected, or using the main menu

View [image] Control Bars [image] Editor

Note: This control will be minimized if the model does not contain any components.


Template

Model Editor - Template see also 'Overview'

Use the 'Model Editor' and select the 'Template' page.

Purpose(s)

1) To edit model templates.

Name

Select a name for your template. If you are going to reuse this template then choose a meaningful name that will apply to all the components based on this template.

Type

The type will identify the coordinate system. This will determine how the coordinates for each point (in this template) will be interpreted.

Coordinate System | Direction | Notation
Rectangular | X-Axis | X
 | Y-Axis | Y
 | Z-Axis | Z
Cylindrical | Radial | R
 | Theta Angle | T
 | Z-Axis | Z
Spherical | Radial | R
 | Theta Angle | T
 | Phi Angle | P


Component

Model Editor - Component see also 'Overview'

Use the 'Model Editor' and select the 'Component' page.

Purpose(s)

1) To add, delete and edit model components.

2) To add and delete templates.

Name

Set the name for the selected component.

Click the '+' button to create a new component with a default name, e.g Component1.

Click the '-' button to delete the selected component.

Template

Select a template for the selected component.

Click the '+' button to create a new template and select it for this component.

Click the '-' button to delete the template being used by the selected component. This will update all references to this template to first template in the model.

Orientation

Adjust the orientation (in degrees) for the selected component. Using the up and down buttons will adjust the orientation by the amount specified in the 'Step Angle' box.

If 'Rotate About Center' is checked then the rotation will be about the component's center, otherwise the rotation will be about the origin (point (0,0,0)).

Offset

Adjust the offset (from point (0,0,0)) for the selected component. Using the up and down buttons will adjust the offset by the amount specified in the 'Step Size' box.


Points (Model Editor)

Points (Using the Model Editor) see also 'Overview'

Use the 'Model Editor' and select the 'Points' page.

Purpose(s)

1) Add, delete and edit points for a template.

Pre-Conditions

To edit points using this dialog, at least one template and component must exist

Point/Result Index

Change the point index to the point that you wish to edit. The result index is the number to be used when relating to your measurements e.g if your measurement DOF is 23Z then the result index would be 23 but the point index could be something different.

Coordinate Type

Displays the coordinate system of the template in which the point resides.

Default Point Spacing

When adjusting the coordinates of a point using the increment and decrement buttons, the coordinates will be adjusted by this value.

Add

Adds a point to the current template. The coordinates for this point will be (0,0,0).

Copy

Adds a point to the current template. The coordinates for this point will be the same as those for the current point.

Delete

Deletes the current point.


Lines (Model Editor)

Lines (Using the Model Editor) see also 'Overview'

Use the 'Model Editor' and select the 'Lines' page.

Purpose(s)

1) Add, delete and edit lines for a template

Pre-Conditions

To edit lines, at least one component and template must exist and that template must contain at least one point.

Line Index

Change the line index to the line that you wish to edit.

From and To Indexes

These must be valid references to points that are in this template

Penup

If 'Penup' is not selected then a line will be draw between the last point of the last line and the first point of this line.

Inclusive

If 'Inclusive' is selected then a line will be drawn between the 'From' point and the 'To' point, and through all points between 'From' and 'To'

Example (if inclusive is selected)

From = 3

To = 5

A line will be drawn from 3 to 4 to 5.

Example (if inclusive is not selected)

From = 3

To = 5

A line will be drawn from 3 to 5.

Draw

Selecting this button will allow you to select two points using the active 'Model View'. Once both points have been select a line will be added to the current component.

Note: Once the 'Draw' button has been selected, the active view will be modified to highlight the active point. Once the 'Draw' has been completed the 'Model View' will be returned to its previous state.

Add

Adds a line to the current template. The point indexes for this line will be (0,0).

Copy

Adds a line to the current template. The point indexes for this line will be the same as those for the current line.

Delete

Deletes the current line.


Surfaces (Model Editor)

Surfaces (Using the Model Editor) see also 'Overview'

Use the 'Model Editor' and select the 'Surfaces' page.

Purpose(s)

1) Add, delete and edit surfaces for a template

Pre-Conditions

To edit surfaces at least one component and template must exist and that template must contain at least one point.

Surface Index

Change the surface index to the surface that you wish to edit.

Points

These must be valid references to points that are in this template. A Surface consists of three points.

Edit From Model View

If selected and a point is selected on the active 'Model View' then the point will be added to the active cell of the points spreadsheet.

Add

Adds a line to the current template. The point indexes for this line will be (0,0).

Delete

Deletes the current surface.

Wizard

This function is for use in future releases, hence it is temporarily disabled.


Material

Model Editor - Material see also 'Overview'

Use the 'Model Editor' and select the 'Material' page.

Purpose(s)

1) To edit the material for a component.

Adjusting Colors

Click inside a color box to display a color dialog from which a color can be selected.

Base Color

This is the color that will be used to fill the solid surfaces defined for the selected component.


Model Editor - Measurement Points

From the main menu select:

View [image] Control Bars [image] Editor

Purpose(s)

  1. To associate measurement points with geometry points

Pre-Conditions

  1. At least one model view is selected
  2. There is at least one measurement in the database
  3. There is at least one component associated with a template containing at least one point.


Overview - Graph View Control

Purpose(s)

1) To setup how a graph view is displayed.

To see this control:

1)A graph view must be selected in the selected document window.

2) [image] Must be selected, or using the main menu:

View [image] Control Bars [image] View Control

Note: This control will be minimized if the measurement database does not contain any data or if a graph is not selected (unless the 'All' button is selected).


Graph View Control - Plots

From the main menu select:

View [image] Control Bars [image] View Control

Purpose(s)

  1. Add plot to a graph, or remove them
  2. To change the measurement for a specific plot
  3. To change how the plots are displayed, overlaid or stacked

Pre-Conditions

  1. At least one graph view must be selected

To change the measurement associated with a plot on a graph you must first select the graph and the plot you want to change. This page should then reflect the plot that you selected, data type and DOF(s) should all match. In general the controls on this page should be used 'top down', for example when changing the selected plot you should select the data type followed by the reference DOF followed by the DOF where applicable. This is because the DOF(s) that are listed are available specifically to that data type.

Adding/Removing Plots

Up to 10 plots can be added to each graph, simply click the 'Add' button for each plot you want to add. The measurement associated to the new plot will default to same as the last plot that was selected unless 'Increment DOF' is selected. If 'increment DOF' is selected, each time you add a plot the new measurement will have the same characteristics as the last except the DOF, which will be the next in the list.

To delete a plot click 'Delete' this will always delete the last plot and not the current one.


Graph View Control - Bands

From the main menu select:

View [image] Control Bars [image] View Control

Purpose(s)

  1. To display the bands used for curve fitting

Pre-Conditions

  1. At least one graph view must be selected

This page allows quick selection and editing of bands, as created in the 'Autofit' (Modal) and 'User Bands' (Acoustics) tables.

Creating a Band

  1. Setup your graph so that you are viewing the measurements that will assist you in formatting your bands
  2. Select the 'Curve Fitting' (Modal) or 'User Bands' (Acoustics) option.
  3. Select the band number at which you want to create the band. Make sure the 'All' button is not selected.
  4. Selected the fit type. Selecting any option other than 'None' will enable the band.
  5. Use the graph to adjust the band. You can move the band by clicking on the triangle at the base of each band, and whilst holding the left mouse button down, dragging to a new position.
  6. Select the mode range. Identify the number of modes that you expect to find in the band of data and the location these modes will be stored at, in the results table.

Tips

  1. Before selecting the 'Fit Type', position the cursor on the graph near the peak around which you want the band. Selecting the Fit Type will create the band of minimum specification around the peak.
  2. When creating a band of type 'Global Res' following a band of type 'Global FD' The frequency and mode range of the band will be automatically set.

Troubleshooting

  1. Mode Range - when editing the mode range, this page will ensure that the 'To' mode is greater than the 'From' mode and that the range does not exceed 8 modes.


Graph View Control - Axis

From the main menu select:

View [image] Control Bars [image] View Control

Purpose(s)

  1. To scale the graph axis
  2. To zoom into a measurement
  3. To specify the dB range (Acoustics only)

Pre-Conditions

  1. At least one graph view must be selected


Graph View Control - Analysis

From the main menu select:

View [image] Control Bars [image] View Control

Click the on the 'Graph View Control' and select the 'Analysis' page.

Purpose(s)

  1. Set the weighting
  2. Set the amplitude and phase correction
  3. Identify prominent discrete tones
  4. Calculate A and L

Pre-Conditions

  1. At least one graph view must be selected

Industry standard frequency weighting curves may be applied to all displayed data. Additionally, amplitude correction factors and phase correction curves may be applied to displayed data to compensate for known errors of the measurement system.

Weighting

The weighting section choices include: None (no weighting), A weighting, B weighting, or C weighting.

Correction

The correction section permits enabling or disabling the amplitude and phase correction specified in the project parameters. Select the check box next to the choice to enable of disable the selection. Amplitude correction factors, in dB, and the name of the file containing the phase correction curve are shown but may not be edited in this section, see Project Parameters.

Tones

A noise spectrum should be selected as the active plot. Computations will be performed on the A-Weighed version of this spectrum, even if weighting has not been applied. The computation assumes a Hanning window was applied to the data during data acquisition.

Selecting the Show Tones option computes and displays the tone-to-noise ration spectrum. This spectrum is defined, in decibels, as

If (Lt - Ln) ≥ 6.0
Lt/n = (Lt - Ln) dB
Else
    Lt/n = 0

This spectrum will have a peak at any prominent tone and will have zero value at all other frequencies.

Note When working with linear quantities, the mean square sound pressure of the tone, Wt, and the mean square sound pressure of the masking noise, Wn, are determined, and the tone-to-noise ratio is taken as (Wt/Wn). Since this is a dimensionless ratio, absolute calibration of the instrumentation is not necessary.
The 6.0 dB threshold criterion corresponds to (Wt/Wn) ≥ 4.0

A and L

This option computes the overall A-weighted and overall unweighted values for the selected measurement. These values can be overall intensity, sound power, or sound pressure level. The values displayed will be either linear of dB depending on the current measurement scaling.


Graph View Colors

Graph View Control - Colors see also 'Overview'

Use the 'Graph View Control' and select the 'Colors' page.

Purpose(s)

1) To adjust the colors used on a graph.

If settings are changed in this dialog box then the settings will be applied to the selected view or to all views if the 'All' button is selected.

Adjusting Colors

Click inside a color box to display a color dialog from which a color can be selected.

Load Default

Changes the colors for the selected views to the defaults colors.

Save As Default

Sets the default colors to those used in the selected view.

Restore Defaults

The default colors will be restored to those used when the application was first used.


Overview - Measurement Editor

Purpose(s)

1) To edit and/or backup the measurements in the database.

To see this control:

1)A graph view must be visible in the selected document window.

2) [image] Must be selected, or using the main menu:

View [image] Control Bars [image] Editor

Note: This control will be minimized if the measurement database does not contain any data.


Measurement Editor - Header

From the main menu select:

View [image] Control Bars [image] Editor

Using the 'Measurement Editor' select the 'Header' page.

Purpose(s)

  1. To view measurement header information.
  2. To re-label a measurements DOF

Pre-Conditions

  1. At least one graph view must be selected
  2. There are appropriate measurements in the database

Measurement

When viewing the measurement header you can choose to view the current measurement, or the temporary measurement 'Destination' (Block 2 for STARv5 users). The current measurement can be selected using a graph view.

Copy

The copy button will copy the current measurement into the 'Destination' buffer. You must have 'Destination' selected to use this option.

Editing a DOF

You may edit the DOF (or reference DOF) for the current measurement if the associated Data Type is a base type such as Frequency Response or Cross Power and not a derived type such as Sound Power. If the DOF can not be edited you will see a label 'Read Only' above the data type. After you make a change, click the 'Apply' button. If you want to save these changes permanently. use the main menu and select Measurements>>Save.

Delete

Clicking the 'Delete' button will remove the current measurement from the database. If you want to save these changes permanently. use the main menu and select Measurements>>Save.

Re-labeling a direction for all measurements

If you want to re-label all measurements using a specific direction for example 'X' to another direction for example 'R' follow these steps:

  1. Select 'Current' measurement.
  2. Select a measurement using the 'Graph View Control' or just a graph view, containing the direction you wish to change.
  3. Edit the DOF (as described above), only change the direction for example 'X' to 'R'.
  4. Click the 'Apply' button
  5. When prompted 'Do you wish to re-label all measurements containing this direction', click 'Yes'.
  6. If you want to save these changes permanently. use the main menu and select Measurements>>Save.


Measurement Editor - Curve Fitting

From the main menu select:

View [image] Control Bars [image] Editor

Purpose

To curve fit specific ranges in one or more measurements

Pre-Conditions

  1. At least one graph view must be selected
  2. There are appropriate measurements in the database

Selected Measurement

The selected measurement can be changed manually or by selecting/changing a plot on a graph. To select a plot on a graph, click on the plot header.

If you are fitting a range measurement of measurements, the selected measurement will indicate the data type (and possibly scaling) to be fitted.

Saving Frequency and Damping.

If selected, the modal frequency and damping estimates are stored in the results table.

Saving Residues

If selected, the modal residues are stored in the results table.

Fit Error

If selected, the Fit Error option computes an error between the measurement and fit function. This error is also saved in the results table, and can be viewed in animation, to observe the measurement points with greatest curve fitting error.

Enter the mode number at which to store the error(s). For example, if you fit 5 modes and set the 'Error At' to 6; mode 6-10 will store the respective errors.

Bands

You can fit using 'All' enabled bands, or just the 'Selected' band as indicated by the 'Bands' page of the 'Graph View Control'

Measurements

You can fit a single measurement (selected measurement), or a range of measurements. If you select 'Range', you will be prompted for a selection when you click the 'Fit' button.


Calculator

Measurement Editor - Calculator

From the main menu select:

View [image] Control Bars [image] Editor

Purpose(s)

  1. To apply simple and complex calculations to one or more measurements.

Pre-Conditions

  1. At least one graph view must be selected
  2. There are appropriate measurements in the database


Archive

Measurement Editor - Archive

From the main menu select:

View [image] Control Bars [image] Editor

Using the 'Measurement Editor' select the 'Archive' page.

Purpose(s)

  1. To backup measurements to a separate database.
  2. To reduce the size of a measurement database.

Pre-Conditions

  1. At least one graph view must be selected
  2. There are appropriate measurements in the database

Most of the measurements relating to modal or acoustic project are stored in a single measurement database. The default filename for this database is the project name plus the extension .SDD

This archive feature allows you to open a second measurement database and copy all the measurements of a specific data type (e.g. cross power) between the two. The archive feature will allow you to not only to backup your measurements, but can also be useful if you have multiple sets of data for the same project.

New

To create a new database in which to store measurements, click the 'New' button. You will be prompted to specify a location and enter a filename. It is recommended that you specify the project directory and use a unique filename. This will also open the database and you will be ready to copy measurements from one database to another.

Open

If you already have a measurement database other than the main project database, click the 'Open' button and browse for the appropriate file. You will now be ready to copy measurements from one database to another.

Close

When you have finished copying measurements from one database to another, click the 'Close' button. You will have to re-open the archive if you wish to do any more copying.

Copying measurements from one database to another

Select a data type, e.g. 'Cross Power' from either 'Project Data types' or 'Archive Data types'. You can do this by clicking on the name of the data type; when selected it will be highlighted. If you selected a 'Project Data type', then click on the 'Down Arrow' to copy all the measurements of that data type to the archive. Double clicking the 'Down Arrow' will move all the measurements to archive. Likewise if you selected an 'Archive Data type' click on the 'Up Arrow'.

Deleting measurements from a database

Select a data type, e.g. 'Cross Power' from either 'Project Data types' or 'Archive Data types'. You can do this by clicking on the name of the data type; when selected it will be highlighted. Click on the picture of a trash can to delete all the measurements of that data type from the database (project or archive).


Acquisition - Integration with Puma/Cougar

Connecting with your Puma/Cougar system either on the same machine or over a network allows you to:

  • Setup your acquisition more quickly. If you have already created your model, you can use this information to generate a list of DOFs that you need to acquire.
  • Clarify the acquisition process. Once connected, you can setup displays to indicate your current status and how you should position transducers for your next acquisition.
  • Access your measurements as acquired. The analyzer will automatically send any stored measurements directly to your project. This means you can be assured of which measurements you have, as well as the quality of data. Performing a 'quick fit' to get an idea of your mode shapes, is now even quicker.

All these capabilities are contained with an 'Acquisition Control' window. Use the main menu and select View>>Control Bars>>Acquisition Control.


Acquisition Control - Analyzer

View [image] Control Bars [image] Acquisition Control

Use the acquisition control and select the 'analyzer' page.

Purpose(s)

  1. To connect to your Puma/Cougar on the same computer or over a network.

Pre-Conditions

  1. Puma or Cougar is running either 'Modal' or 'Multi-Ref Modal Acquisition'.

Connecting to the Puma/Cougar

If the the analyzer is on the same machine and you have not previously connected to a different machine then you can click the 'Connect' button as soon as Puma/Cougar is up and running. By default the software assumes that the Puma/Cougar system in one same computer.

To specify a different computer click the 'Setup' button and specify an IP address, or select a computer from the list then click 'OK'. Now you can click 'Connect'.


Acquisition Control - Setup

View [image] Control Bars [image] Acquisition Control

Use the acquisition control and select the 'setup' page.

Purpose(s)

  1. To setup your DOF Table(s) in Puma/Cougar based on your model.

Pre-Conditions

  1. You must be connected to the Puma/Cougar system
  2. You must setup your channel table in Puma or Cougar first. This will be used to help define your DOF Table in Puma.

DOF Selection

This section will be automatically updated if you click a point on your model, or if you select/change a measurement on a graph. Clicking the 'Add' button will add your DOF selection to a list, to be acquired. Once you are done, click the 'DOF Table' button.

This method is useful when reviewing your measurements. If you find some measurements that are not sufficient, they can be added to a list for re-acquiring.

DOF Table

Clicking the 'DOF Table' button will open a new window that will allow you to define how your DOF Table should be setup. If you have made any DOF selections prior to this, they will be used as a starting point.


Acquisition Control - Status

View [image] Control Bars [image] Acquisition Control

Use the acquisition control and select the 'status' page.

Purpose(s)

  1. To see which measurements have been been acquired.
  2. To see which measurements are to be acquired in the current set.
  3. To see how transducers should be located/orientated on your structure.

Pre-Conditions

  1. At least one model view must be selected

Status

Select a model view and click the 'Status' check button. This will highlight each point on your structure.

  • Red - Measurement(s) not acquired.
  • Yellow - Measurements due to be acquired in the next set.
  • Green - Measurement(s) acquired.

If there is a square box around a point, this indicates that there is a reference DOF at this location.

Acquired Criteria

As each location may have a number of measurements associated to it (one for each direction), you must define what constitutes an 'Acquired Location'. You can do this by selecting the direction buttons, under 'Acquired Criteria'. For example, selecting 'X' and 'Y' would mean that you would have to have measurements in the 'X' and 'Y' directions for that location, before it would turn green.

Note: you can setup more than one display with different settings to help clarify the situation.

Point Information

Selecting this option will display an information window in your model view (usually in the bottom right corner). This information will be relevant to a specific point or location on your structure. The information displayed will include:

  • Point number
  • Acquired measurements
  • Pending (due to be acquired next) measurements

Simply click on each point on your model for which you want to view information. The model view must be in 'Select' mode; right click the model view and click 'Select'.

Point Axis

Selecting this option will display a set of axis at the active point on your model view. When positioning your transducer on your structure, it should be at the same orientation as this set of axis.

Plot Acquired

Clicking this button will display your last selected graph below the model view and automatically display all the acquired DOFs for the selected point on your model. The data type and reference will depend on your selection. If the reference is set to 'ANY', then the first reference found in your database will be used. If no measurements are found the graph will not be updated.

Selecting a different point on your model will then cause any plots on your graph to be updated to represent the new location. If a measurement does not exist, then the plot will be zeroed out and '(NF)' i.e. not found, will be displayed in the plot label. Plots will not be added or deleted by selecting a new point on your model, you must click the 'Plot Acquired' button again if a specific point has more DOFs that you wish to display.

Plot Criteria

Clicking this button will display your last selected graph below the model view and automatically display a number of DOFs based on your 'Acquired Criteria' (see above) for the selected point on your model. The data type and reference will depend on your selection. If the reference is set to 'ANY', then the first reference found in your database will be used; if none are found, then if you are connected to the Puma/Cougar system it will use the first reference in your channel table.

As with 'Plot Acquired' you can select a different point on your model to update the graph (see above for more information).


Contour View Control - Overview

From the main menu select:

View [image] Control Bars [image] View Control

Use the contour view control and select the appropriate page.

Purpose(s)

  1. To alter the display settings of one or more selected contour views

Pre-Conditions

  1. At least one contour view must be selected (see also Contour View)

Adding a contour view

To add a contour view to your display, click the 'Add View' toolbar button (see Toolbars) or use the main menu and select View>>Display Views>>Add.


Contour View Control - Display

View [image] Control Bars [image] View Control

Use the contour view control and select the 'display' page.

Purpose(s)

  1. To display specific components
  2. To specify the color scheme used for filling the contour view
  3. Zooming into a specific area.

Pre-Conditions

  1. At least one contour view must be selected (see also Contour View)

Updating the View

After making any of the changes described below, you may need to click the 'Update' button to reflect the changes on the actual view.

Model Components

Select the components that you wish to view. Selected components are highlighted.

Show Model

Selecting this option will overlay a 2d view of your model over the contour map.

Show Band Info

This option will hide or show the legend to the left of the contour map.

Fill

Select the type of fill that you want for your contour map, use the Red (positive)/Blue (negative) to highlight the direction of the intensity. The 'Show Lines' option will emphasize the different contour levels.

Zoom / Pan

Turning on the zoom option and using the slider will allow you to focus on a specific area of the contour map. Use the scroll bars on the edge of the display window to 'Pan' the view.


Contour View Control - Contours

View [image] Control Bars [image] View Control

Use the contour view control and select the 'contour' page.

Purpose(s)

  1. To specify the number of contour lines
  2. To specify the range of contour lines
  3. To set the resolution of the contour view

Pre-Conditions

  1. At least one contour view must be selected (see also Contour View)

Updating the View

After making any of the changes described below, you may need to click the 'Update' button to reflect the changes on the actual view.

Auto Contour

If selected, the minimum and maximum levels will be automatically set based on the measurement data over the components being displayed.

Contour Range / Levels

The contour level specifies either a dB display or a linear display of the data.

Delta/Lines

The delta is the difference between one iso contour and the next. The lines is the total number of iso contour lines to be displayed. If the delta is specified, the number of lines is determined by dividing the range by the delta. If the lines are specified, the delta is determined by dividing the range by the number of lines.

Resolution

The resolution level pertains to the degree of interpolation to be executed. The greater the level, the more detail and resolution the display will have. Note that the time to produce the plot increases with the resolution level.


Contour View Control - Bands

View [image] Control Bars [image] View Control

Use the contour view control and select the 'band' page.

Purpose(s)

  1. To view the contour data for a specific band in the results table

Pre-Conditions

  1. At least one contour view must be selected (see also Contour View)

Updating the View

After making any of the changes described below, you may need to click the 'Update' button to reflect the changes on the actual view.

Band Number

The band number and the corresponding center frequency indicate the data used in displaying the contour map.


Contour View Control - Highlight

From the main menu select:

View [image] Control Bars [image] View Control

Use the contour view control and select the 'highlight' page.

Purpose(s)

  1. Highlight Points
  2. Highlight Components
  3. Display point specific information such as dB

Pre-Conditions

  1. At least one contour view must be selected (see also Contour View)

Updating the View

After making any of the changes described below, you may need to click the 'Update' button to reflect the changes on the actual view.

Points to Highlight

The highlight options are used to highlight selected data points, point ranges or components on the tested grid. The value of the data point will appear on the map.

Information

Select the type of information you want displayed at each point

  • dB
  • Percentage or maximum dB
  • Point Number

Custom Points

The 'Define' button activates the user defined point value capability. Point the mouse cursor anywhere on the contour map and click the mouse button. This will place an 'X' on the view. Place up to 30 X's on the contour map. Now click the 'Show' button to display the information (see above) for these custom points. Click the 'Off' button to remove all the custom points.


Contour View Control - dB Reference

View [image] Control Bars [image] View Control

Use the contour view control and select the 'dB Reference' page.

Purpose(s)

  1. To set the dB reference

Pre-Conditions

  1. At least one contour view must be selected (see also Contour View)

Updating the View

After making any of the changes described below, you may need to click the 'Update' button to reflect the changes on the actual view.

dB Reference

Select the dB reference of measurements that were processed into the results table.

  • 20 uPa for SPL (Sound Pressure Levels)
  • 1 pW/m2 for SI (Sound Intensity)
  • 1 pW for SP (Sound Power)
  • 1 EU (Engineering Units)


Contour View Control - Colors

View [image] Control Bars [image] View Control

Use the contour view control and select the 'colors' page.

Purpose(s)

  1. To alter some basic color relating to the contour view, such as background

Pre-Conditions

  1. At least one contour view must be selected (see also Contour View)

Adjusting Colors

Click inside a color box to display a color dialog from which a color can be selected.

Load Default

Changes the colors for the selected views to the defaults colors.

Save As Default

Sets the default colors to those used in the selected view.

Restore Defaults

The default colors will be restored to those used when the application was first used.


Layout and Settings

From the main menu select:

Customize [image] Application

Setting the Layout of the Application

Step 1

Using this dialog box and make sure that the following boxes are checked:

'Save application window's size and position'

'Save the toolbar positions'

Select OK

Step 2

Adjust the layout of the application and any tool bars

Step 3

Close the application (this will cause your settings to be saved to the system registry)

Step 4

Launch CATS Modal again. You will notice that it has reopened the way that you left it. Reopen the customize dialog and uncheck the two boxes in Step 1. Select OK and close the application. Your layout will now be kept until you repeat these steps.


Default Colors

It is possible to select the default colors that you wish to be used throughout the application for both model and graph views. These colors can be set so that they will be used every time the application is launched.

Model Views

See the 'Model View Control' - Colors Page.

Graph Views

See the 'Graph View Control' - Colors Page.


Tutorial - Opening a Sample Project

With the installation of CATS Modal comes a number of sample projects that can be used to help demonstrate much of the functionality within the application.

The sample projects include:

10dof_lf

10dof_sd

10dof_wn

Beam

Box

5060Gen

Discdrv

This tutorial describes how to open the 5060Gen project:

1)Launch the CATS Modal application by double clicking the CATS modal shortcut on your desktop.

2)Until you are familiar with CATS Modal it is best to make sure that all open projects are closed before opening another. Use the main menu and select Project [image] Close. When there are no projects open the 'Close' menu option will not be visible.

3)Using the main menu select Project [image] Open.

4)Browse for 5060gen.cmp (or which ever project you wish to open) and then select 'Open'


Tutorial - Creating a Simple Model

This tutorial assumes that you are running CATS Modal and that all projects have been closed (see 'Opening a Sample Project' for details on how to do this).

There is more than one way to create a model in CATS Modal. The method used in this tutorial will use a series of tables to enter data about the model. This method is useful if the model has already been designed with regards to coordinates etc, or if the model is relatively simple and you can visualize it in your head.

The Model

I want to create a single four-sided plate with the following coordinates:

Point | X | Y | Z
1 | 0 | 0 | 0
2 | 5 | 0 | 0
3 | 0 | 5 | 0
4 | 5 | 5 | 0

It should look like this:

1) Create a Project

The first step is to create a project. Use the main menu and select:

Project [image] New

To create a project you must save it; you will be prompted to specify a directory and filename for your project. A project should reside in its own directory.

Click the 'Save' button to create the project.

2) Create a Template

Use the main menu and select:

Model [image] Setup [image] Templates

Click the 'Create New' button to create a new template. By default a template will have a rectangular coordinate system; this is OK for this tutorial.

Change the template name to:

"SQUARE"

2) Add the points to the template

Select the 'Points' page of the 'Model Editor' dialog.

Enter the coordinates for the four points described at the beginning of the tutorial. To edit a coordinate, click inside a cell (a border will appear around the cell) and type the number.

If you make a mistake, you can delete a point as follows:

1) Click a 'Point Number' to highlight a row.

2) Press the 'Delete' button on your keyboard.

3) Add the lines to the template.

Select the 'Lines' page of the 'Model Editor' dialog.

In this dialog we will connect the points together to create our shape; this is done by specifying a line. A line consists of a 'From' point index, and a 'To' point index. These indexes relate to the points that you created in the previous step.

In the same way as you added points to the point's table. Add the lines shown above to your line's table.

Note: The last two columns are for reference only and cannot be edited.

3) Add the surfaces to the template.

Select the 'Surfaces' page of the 'Model Editor' dialog.

A surface consists of three indexes to points that you have previously defined.

In the same way as you added lines to the line's table. Add the surfaces shown above to your surface's table.

3) Create a component based on your template

Select the 'Components' page of the 'Model Editor' dialog.

Click the 'Create New' button to create the component. A template must then be selected from the list of available templates; as only one template exists, the correct template is already selected.

Finally name your component:

"PLATE"

Click the 'OK' button at the bottom of the dialog to accept your model.


Tutorial - Modal Peaks

This tutorial uses data that is contained in the project 'BEAM'. This project is included in the installation.

1) Open the project.

Open the 'BEAM' project (see 'Opening a Sample Project').

2) Select the viewing mode.

Select the 'Analysis' tab of the document window.

3) Launch the Modal Peaks Dialog

Use the main menu and select Analysis [image] Function [image] Modal Peaks

4) Select the measurements

For the purpose of this tutorial we will include all the measurements that are in the measurement database.

Select the 'All' button for the 'Point Range' as below, and make sure that the directions X, Y and Z are selected. There are no measurements in the directions R, T or P so it does not matter if they are selected or not.

5) Select the calculation method

The default calculation method is Magnitude^2, this is fine so no change needs to be made.

6) Calculate the Modal Peaks

Click the 'OK' button to start the calculation. The modal peaks dialog will close and the text based analysis window will notify you of the calculations progress. 'Modal Peaks Found' will appear when finished.

The modal peaks have now been calculated. At present the result can only be viewed from the Curve Fit dialog. The tutorial - Curve Fitting will explain how to view the modal peaks.


Tutorial - Curve Fitting

This tutorial uses data that is contained in the project 'BEAM'. This project is included in the installation.

This tutorial will carry on from the tutorial - Modal Peaks so it is important that you complete that tutorial first. It will therefore assume the following:

-The project 'BEAM' is open.

-The modal peaks have been calculated.

-The view mode is set to analysis.

It is also recommended that you clear any existing results from the results table.

1) Launch the Curve Fit Dialog

Use the main menu and select Analysis [image] Function [image] Curve Fit

2) Reset the Autofit Table

Click the 'Clear Bands' Button (Located in the middle of the dialog). This will remove all bands from the autofit table.

3) View the Modal Peaks

Click the 'Modal Peaks' button located at the bottom of the graph.

If the modal peaks have been calculated, the graph will update to show the modal peaks measurement, otherwise a message box will appear to indicate that -

'Modal Peaks have not been calculated'

4) Define a Band

Move the graph cursor to the first major peak (approximately 44Hz) and click the suggest band button.

A Band will then be placed around the peak. The properties of the band can be viewed in the Single Fit section of the dialog.

The band can be moved by moving the mouse cursor over one of the triangles at the base of the band, holding down the left mouse button and dragging the band to the left or right.

Note When the mouse cursor is over the correct part of the band, such that it can be dragged, the mouse cursor will change to look like:

Widen the band such that the low frequency of the band = 40 and the high frequency = 50 (these values need only be approximate). These values can be viewed in the 'Single Fit' section of dialog and will be updated as you drag the band.

5) Define Some More Bands

Click the 'Auto Fit' tab, located at the top of the dialog to view the auto fit table.

As you can see, the details of the band that you just created have been entered into the table.

This table can also be used to define bands. Using the table define the some more bands as shown below:

Note: Bands 3 and 4 are identical except for the fit method. This is because we are placing the bands around two peaks that are very close together, so we are using an MDOF curve fitting algorithm. The 'Global Frequency and Damping' must be calculated before the 'Global Residues'.

6) Select the Measurements to Curve Fit

A curve fit can be performed either on a single band of data in a single measurement, or on multiple bands of data on multiple measurements by defining an auto fit. For the purpose of this tutorial we will curve fit 5 bands of data on all measurements.

Click the 'Curve Fit' tab, located at the top of the dialog to return to the 'Curve Fit' setup dialog.

Turn on the auto fit by selecting the 'Auto Fit' check box. By default, all the measurements are selected (as required for this tutorial).

You may notice that when you turn on the 'Auto Fit', the graph will update to display all the bands.

7) Process the Curve Fitting

Click the 'Fit' button located near the center of the dialog (vertically). This will close the 'Curve Fit' dialog and start curve fitting the measurements. Text will be written to the text based analysis window, this is really only useful if there are errors in the curve fit.

When the curve fit has finished the 'Results' dialog will be launched. When you have finished with the 'Results' dialog you will be asked "Do you wish to animate your model now?" select 'No' and complete the tutorial - 'Animating a Model'.


Tutorial - Animating a Model

This tutorial uses data that is contained in the project 'BEAM'. This project is included in the installation.

1) Open the project.

Open the 'BEAM' project (see 'Opening a Sample Project').

2) Select the viewing mode.

Select the 'Model' tab of the document window.

3) View the 'Animation' control.

Click inside 'ModelView 4' (see the above picture) to select it, then select the 'Animation' page of the 'Model View Control'.

4) Apply changes to all views.

Select the 'All' button at the bottom of the 'Model View Control' to apply any changes to all the views.

5) Select the type of animation.

Use the control in the 'Domain' section of the analysis page to select frequency domain animation.

6) Start the animation.

Click the 'Play' button to start the animation.


Tutorial - Advanced Curve-Fitting

Overview

This tutorial uses data that is contained in the project '10DOF_WN'. This project is included in the installation.

The project '10DOF_WN' contains the following files:

10dof_wn.cmp | CATS Modal Project File
10dof_wn.prj | STAR Project File (for compatibility)
10dof_wn.cmm | CATS Modal Model File
10dof_wn.sdd | Measurement Database
10dof_wn.aft | Auto Curve Fit Table File
10dof_wn.clc | Constraint Equation File
10dof_wn.mdl | Modal Results Table File
10dof_wn.sdm | Structural Dynamic Modifications File

This tutorial is based on the following test situation:

The structure under test has geometry such that mode shape information is desired for 10 points on the structure.

The mode shape information is needed only in the X-direction.

To obtain test results of the desired level of accuracy, the structure was excited simultaneously at two points, using a shaker to excite each point. One shaker excited the structure at point 3 in the X-direction; the second shaker excited the structure at point 6, also in the X-direction. This test setup defines a multiple input, multiple output (MIMO) test with two excitation DOFs and 10 response DOFs.

FRFs were then collected at all 10 measurement points on the structure, with respect to each of the excitation locations.

1) Open the '10dof_wn' Project (See 'Opening a Sample Project')

2) Launch the advanced curve fitting wizard.

Use the main menu and select Analysis [image] Function [image] Advanced Curve Fit Wizard.

3) Create a polyreference file.

a) Click the create button -

b) You will be prompted for a filename. A default filename - '10dof_wn.prf', should already be entered, select OK. If this file already exists, a warning message will appear asking if you want to replace the existing file, select 'Yes'.

4) Select the sub-set of references to be used in the curve fit process

a) Select 3X from the 'Reference DOFs' list and select the 'Add to Selections' button

3X should then appear in the 'Selection(s)' list.

b) Double click 6X from the 'Reference DOFs' list, this should have the same affect as in (a).

c) Accept the list of selected references by selecting the 'Next' button at the bottom of the dialog.

Note: A message box will then appear indicating that "All FRF files exist and are correct."

5) Select FRFs

During the curve fitting process, either all measurements (FRFs) in the selected sub-directories can be used, or a sub-set of the FRFs can be chosen for use. All FRFs are used in this tutorial.

a) By default all FRFs are selected, so click the 'Next' button.

6) Set the 'Estimate Frequency and Damping' parameters and process.

a) Select a band size of 512 lines.

b) Select a model size range of 10 to 15 modes.

c) Select both the 'Solutions Step' -

"Process FRF(s)"

"Compute Frequency and Damping"

d) Select 'Log Imaginary^2' as the MIF (mode indicator function).

e) Click the 'Process' button and watch the graph update.

There are two steps required to estimate the frequency and damping. The first step recalls all selected FRF data and computes the information required to estimate potential frequency and damping values. The next step computes multiple estimates of the potential frequency and damping values from the data collected in the first step. You will then select the appropriate frequency and damping for the modes of vibration from the table of potential frequency and damping values.

f) The frequency and damping has now been estimated so click the 'Next' button.

7) Select and assign potential modes to the results table

Potential modes can be assigned using the spreadsheet, however the easiest method is by using the stability diagram.

a) Click on a potential mode to assign it to the "Results Table Mode Number". Select the potential modes as shown below.

Note: The "Results Table Mode Number" is incremented after each selection. To unselect a mode you must adjust the "Results Table Mode Number" to the mode you wish to unselect.

b) Click the 'Next' button to store the computed frequency and damping estimates into the results table.

Note: If the results table already contains information, you will be prompted to overwrite. Click the 'Overwrite All' button.

At this point you have successfully computed the frequency and damping values for the modes of interest for the structure under test.

8) Select a single reference DOF based on the modal participation factors.

The modal participation factors measure the degree to which an excitation at each of the selected reference points (3X and 6X) contributes to the motion of the structure at each of the identified modes.

a) 3X contributes the most, as this is already selected, click the 'Next' button.

9) Compute the mode shapes.

a) Click the 'Autofit All' button and watch the graph update.

b) Click the 'Finish' button. If you are asked "Do you wish to animate your model now" select 'No'.

The advanced curve fitting process is now complete. However to see your results perform the following steps:

1) Apply the 'Contraints' to the frequency results table.

2) View the results table.

3) Animate your model. (see Animating a Model)


Tutorial - Sketch Box (Simple)

Sketch Box - A Simple Model

The purpose of this tutorial is to demonstrate the sketch box as a means to create a simple model, such as the one shown below.

This tutorial assumes that the default settings are being displayed so it is advised that you restart the application before continuing with this tutorial.

If at any time you need further help with using the sketch box, then see the topic on the 'Sketch Box Page' of the model view control. This topic lists all the available tools.

Step 1 - Create a new project.

Close any open projects and using the main menu select Project>>New. Create a new folder to hold your project and enter a project name, e.g. 'Simple Sketch'.

Step 2 - Delete all model views except one.

For simplicities sake (i.e. not necessary), delete all the model views except one. Click each model view in turn and using the main menu select View>>Display Views>>Delete. You may also hold down the 'Ctrl' key, select (click) all the views you want to delete and then press the 'Delete' key.

Step 3 - Turn on the sketch box.

Make sure the remaining model view is selected and using the 'Model View Control' select the 'Sketch Box' page. Click the 'On' button.

What you should now see is the front side of a 10 x 10 x 10 grid as shown below. The front side of the grid constitutes the X and Z directions. Note that in each direction, there are 5 divisions. This grid is defined in the 'Size/Divisions' section and should be defined before starting to sketch.

Step 4 - Draw a 2-dimensional representation of the model

Select the 'Snap to Grid' option. This is a useful tool when drawing simple shapes and will help to keep the lines that you draw, straight.

The current 'Mode' is set to 'Draw Line' which is what we want. Each click of the left mouse button onto the grid will add a point to the sketch, a line will be drawn to the last point (except for the first point drawn).

Draw the sketch as shown below (the red dots indicate where you should add the points), make sure you finish where you started to complete the shape. If you make a mistake, you can click the 'Undo' button at any time (top right hand corner of page).

Step 5 - Make your sketch 3-Dimensional

Your 2-dimensional sketch can be made 3-dimensional by stretching the shape towards the opposing side of the grid. In this example that would mean stretching from the 'Front' to the 'Back'.

Under 'Operation' select 'Stretch', click the button to the right hand side ->, to perform the operation. You will now be prompted to enter in the coordinate (in this example, on the y-axis) that you want to stretch to. Enter the value 8.00 and click 'OK'. For this example we do not want any divisions, so when prompted just click 'OK' as the default is zero.

Note: As you are only viewing the 'Front' side you will not notice any change yet.

Step 6 - View your sketch.

You are currently viewing the 'Front' side of the grid. See the control at the top of the page says 'Front', change this to 'All'.

You can now see your completed model. You may need to rotate the view to get a good look. It should look like the model we first described in this tutorial.

Step 7 - Add the sketch to your model.

Adding the sketch to your model will automatically create a template and component. Under 'Operation' select 'Add to Model'. The sketch box will now close.


Tutorial - Sketch Box (Complex)

Sketch Box - A Complex Model

The purpose of this tutorial is to demonstrate the sketch box as a means to create a complex model based on digital images taken by a camera. The example used is purely to demonstrate the capabilities of the system and not necessarily to build a useful modal or acoustic model.

This tutorial assumes that the default settings are being displayed so it is advised that you restart the application before continuing with this tutorial.

Before completing this tutorial take a look at the 'Simple Model' tutorial.

If at any time you need further help with using the sketch box, then see the topic on the 'Sketch Box Page' of the model view control. This topic lists all the available tools.

Step 1 - Create a new project.

Close any open projects and using the main menu select Project>>New. Create a new folder to hold your project and enter a project name, e.g. 'Simple Sketch'.

Step 2 - Delete all model views except one.

For simplicities sake (i.e. not necessary), delete all the model views except one. Click each model view in turn and using the main menu select View>>Display Views>>Delete. You may also hold down the 'Ctrl' key, select (click) all the views you want to delete and then press the 'Delete' key.

Step 3 - Turn on the sketch box.

Make sure the remaining model view is selected and using the 'Model View Control' select the 'Sketch Box' page. Click the 'On' button.

What you should now see is the front side of a 10 x 10 x 10 grid as shown below. The front side of the grid constitutes the X and Z directions. Note that in each direction, there are 5 divisions. This grid is defined in the 'Size/Divisions' section and should be defined before starting to sketch.

Step 4 - Load the images.

You can assign one image per side of the grid, however it is often only necessary to use a couple of images. Each image should have the same aspect ratio, This can be achieved by acquiring all images at the same distance from the real object and cropping the edges of the image.

For this example we are going to load two images supplied with the software, they should be located in the same place as the application (e.g. "C:\Program Files\Spectral Dynamics\STAR\Image.jpg")

You should be viewing the 'Front' side of the grid. Under 'Image' select 'Load' and browse for "Sports Front.jpeg". A picture of the front of a sports car should now be visible.

Now change the view so that you are viewing the 'Right' side of the grid. This option is in the drop down list at the top of the page. Under 'Image' select 'Load' and browse for "Sports Side.jpeg".

You should notice that the dimensions (size/detail) of the grid have now changed. If you know, for example the length of the car (y-axis) you may enter in the appropriate value (units are arbitrary) and the height and width will be automatically calculated.

Step 5 - Sketch around the car.

Make sure that the 'Snap to Grid' option is not selected, as we will not be limiting ourselves to drawing on the grid points.

The current 'Mode' is set to 'Draw Line' which is what we want. Each click of the left mouse button onto the grid will add a point to the sketch, a line will be drawn to the last point (except for the first point drawn).

Draw around the car as shown below. Try to space the points as much as possible while maintaining the shape of the car.

You may notice that it is difficult to connect the last point to the first point drawn, this is necessary if you want an accurate model.

Under 'Operation' select 'Merge Points' You will be prompted to enter a tolerance. All points that are within the specified tolerance (distance) will be merged into a single point. This technique can be used to connect your first and last points together. You can try different values until you get the effect you want. Make sure you use the 'Undo' button between tries.

Step 6 - Make your sketch 3-Dimensional

Your 2-dimensional sketch can be made 3-dimensional by stretching the shape towards the opposing side of the grid. In this example that would mean stretching from the 'Right' to the 'Left'.

Under 'Operation' select 'Stretch', click the button to the right hand side ->, to perform the operation. You will now be prompted to enter in the coordinate (in this example, on the y-axis) that you want to stretch to. The default is to stretch all the way to the other side of the grid which is what we want, so click 'OK'. You will then be prompted for the number of divisions that you want, the example shown in the introduction to this tutorial used 5 divisions, so enter 5 and click 'OK'.

Note: As you are only viewing the 'Right' side you will not notice any change yet.

Step 7 - View your sketch.

You are currently viewing the 'Right' side of the grid. See the control at the top of the page says 'Right', change this to 'All'.

You can now see your completed model. You may need to rotate the view to get a good look. It should look like the model we first described in this tutorial.

Step 8 - Add the sketch to your model.

Adding the sketch to your model will automatically create a template and component. Under 'Operation' select 'Add to Model'. The sketch box will now close.


(Untitled)

View Model View Control


(Untitled)

Jump to autofit table


(Untitled)

Change function to logmag


Plots

Graph View Control - Plots see also 'Overview'

Use the 'Graph View Control' and select the 'Plot' page.

Purpose(s)

1) To setup the display of data on a graph (see also 'Viewing Measurements')

If settings are changed in this dialog box then the settings will be applied to the selected view or to all views if the 'All' button is selected.

It is possible to display 2 plots per graph, a primary and secondary plot.

DOF

This control contains a list of all the available DOFs in the measurement database.

Reference DOF

This control contains a list of all the available reference DOFs in the measurement database.

Function

This control contains a list of all the available functions in the measurement database

Note: It is possible that the combination of DOF, reference DOF and function will not provide a measurement that is in the database.

Destination

If selected, the DOF, reference DOF and function will be ignored and the measurement that is stored within the 'Destination Buffer' will be displayed. The 'Destination Buffer' is used by the 'Model Editor' (see Model Editor - Calculator)

Split

If selected, each plot will share the x-axis, but use its own y-axis. If 'Split' is not selected then the plots will be overlayed.

Scaling

Scaling is only applicable to certain functions, such as 'Response Data Spectrum'. Select from:

No Scaling

Displacement

Velocity

Acceleration

Gravitational

Auto-Scale

If selected, then the axis will be scaled such that the measurement(s) fit within the graph.

Zoom

If selected then the x-axis scaling will be reduced around the cursor.


(Untitled)

Jump to model editor Components Page


(Untitled)

Jump to

Advanced Curve Fit FRF Sel Page


(Untitled)

jump to Forced Response Synthesis dlg


(Untitled)

Application Workspace

This is your workspace, it can contain a number of modal projects.

Using the main menu, under Windows, the project windows can be arranged in a variety of ways:

Tile:

All windows are given equal space within the workspace, such that all windows can be seen.

Cascade:

All windows are placed under one another in the order they were last viewed.


(Untitled)

Add solid view


(Untitled)

Clear Frf Selections


(Untitled)

Select all FRFs


(Untitled)

Splash Screen


(Untitled)

Import time file(s) into measurement database


(Untitled)

Point/Result Relationship


(Untitled)

Files Dialog Bar

Recent files


(Untitled)

Measurement list selection


(Untitled)

Import Star Geometry


(Untitled)

Change x-axis scaling to linear


(Untitled)

Rib Stiffener Wizard Width


(Untitled)

Jump to AVI Dialog


(Untitled)

Jump to time domain analysis


(Untitled)

Change scaling to linear


(Untitled)

Tuned Absorber Wizard DOF


(Untitled)

View Model Editor


(Untitled)

Change function to phase


(Untitled)

A model view after changes


(Untitled)

View Positions


(Untitled)

Add view


(Untitled)

Jump to

Advanced Curve Fit MPF Page


(Untitled)

Jump to measurement calculator


(Untitled)

View Mode


(Untitled)

Change function to nyquist


(Untitled)

Rib Stiffener Wizard Modulas


(Untitled)

Rib Stiffener Wizard Modulas Unit


(Untitled)

Jump to model setup surfaces page


(Untitled)

View list


(Untitled)

Jump to Model View Colour Page


(Untitled)

Apply changes to all views


(Untitled)

Jump to model setup points page


(Untitled)

Select all FRFS


(Untitled)

Components Page


(Untitled)

OLE Init Failed 2


(Untitled)

Setup Point Result Relationship


(Untitled)

Refresh measurement database


(Untitled)

Estimate mode shapes


(Untitled)

Print in color


(Untitled)

|Jump to model setup surfaces page


(Untitled)

Jump to customize dialog


(Untitled)

Setup components


(Untitled)

Jump to freq results


(Untitled)

About Box

Product information.


(Untitled)

Container inplace


(Untitled)

MainFrame2


(Untitled)

A model view


(Untitled)

Jump to freq and damp result


(Untitled)

Timer


(Untitled)

Jump to Cube Wizard


(Untitled)

Jump to mode calculator


(Untitled)

Clear spreadsheet


(Untitled)

Rib Stiffener Wizard Density Unit


(Untitled)

Jump to mode calculator dialog


(Untitled)

Export frf measurement


(Untitled)

Jump to graph view ctrl - plots page


(Untitled)

Cancel container editing session


(Untitled)

Jump to model view Transformations Page


(Untitled)

Tile objects


Identifying Peaks

When curve-fitting, the algorithms will be applied to the data between the bands that you must identify.

There is a minimum amount of data needed in each band to obtain a good curve fit. Apply the following rules

1)A minimum of 5 data points are needed in each band, 2 points either side of the peak.

2)The low and high frequencies of the band must have magnitudes that are less than 0.707 times the magnitude of the peak around which the bands are placed.

3)If whilst extending a band to accomplish the previous rule, a second peak is encountered, then the low and high frequencies of the band must have magnitudes that are less than 0.707 times the magnitude of the lowest peak. This must be repeated for all peaks encountered.

Curve-Fitting Multiple Measurements

When trying to identify bands for more than one measurement, applying the above rules can become complicated. One method to overcome this problem is to take an average of the measurements (see Modal Peaks).


Result Overview

Results from your analysis can be viewed in the time or frequency domain

For information on displaying your results on a structure, see 'Animating a Model'

Select the type of results that you wish to find out about:

Frequency

Time


(Untitled)

Cancel server editing session


(Untitled)

Sockets initialization failed


(Untitled)

Setup model components


(Untitled)

Wait Screen


(Untitled)

Jump to sinusoidal response page


(Untitled)

Jump to model view control - Rendering


(Untitled)

View tool bars


(Untitled)

Jump To

Advanced Curve Fit Estimate Freq and Damping Page


(Untitled)

Jump to constraints page


(Untitled)

Jump To

Advanced Curve Fit Estimate Mode Shapes Page


(Untitled)

Close a measurement database


(Untitled)

Jump to modal peaks dialog


(Untitled)

Jump to FRS page


(Untitled)

Jump to SDM Page


(Untitled)

Jump to

Advanced Curve Fitting Wizard


(Untitled)

Specify a filename and save the polyreference file


(Untitled)

Jump to model editor lines page


(Untitled)

Abort Analysis


(Untitled)

Jump to model view control - Hide/Show Page


(Untitled)

Close Model


(Untitled)

Jump to model editor points page


(Untitled)

Export TIM measurement


(Untitled)

Jump to analysis page


(Untitled)

Jump to model editor Materials Page


(Untitled)

Specifications


(Untitled)

Jump to synthesis table


(Untitled)

Jump to measurement setup


(Untitled)

Stability Diagram


(Untitled)

Jump to meas editor plot page


(Untitled)

Graph Menu


(Untitled)

Tuned Absorber Wizard Mass


(Untitled)

New Model


(Untitled)

Change scaling to log


(Untitled)

Jump to mac


(Untitled)

Change function to magnitude


Tutorial - Creating a Simple Model (A Visual Approach)


(Untitled)

A list of model views


(Untitled)

Change x-axis scaling - Freq/RPM


(Untitled)

Export measurements


(Untitled)

Stability diagram page


(Untitled)

Open a Star project


(Untitled)

OLE Initialization failed.


(Untitled)

Mode Participation Factors


Curve Fitting Types

Curve Fitting Types see also 'Curve Fitting'

There are a number of Curve-Fitting types (algorithms) supported by CATS Modal, they can be divided into two categories:

Single Mode (Single Degree of Freedom) | Multiple Mode (Multiple Degrees of Freedom)
Polynomial | Polynomial
Coincident | Global Frequency and Damping
Quadrature | Global Res
Peak |

A variety of curve fitting methods, both single mode (SDOF) and multiple mode (MDOF), can be used selectively on a set of measurements to obtain the best possible modal parameter estimates. A single method must be selected for each curve fitting band, but any combination of methods can be used among different bands.


(Untitled)

View Object Bar


(Untitled)

The main document window can be used to display

1) Your Model

2) Your Measurements

3) Output from analysis


(Untitled)

Open Model


(Untitled)

Colour Group Ctrl


(Untitled)

FRF Selections dialog


(Untitled)

Save measurement database


(Untitled)

Enter


(Untitled)

Jum to project settings


(Untitled)

Deactivate In Place Object Bae


(Untitled)

Jump to model editor surfaces page


(Untitled)

Estimate Freq and damping


(Untitled)

Light Page


(Untitled)

jump to project settings


(Untitled)

Create a new component


(Untitled)

Jump to FRF Synth dialog


(Untitled)

Jump to model editor templates page


(Untitled)

Estimate Freq and damping dialog


(Untitled)

Object Parameters


(Untitled)

Export to ascii results file


(Untitled)

FRF Sel popup


(Untitled)

Rib Stiffener Wizard Mass Density


(Untitled)

A toobar containing a number of function relating to your project files.


(Untitled)

A measurement graph


(Untitled)

Tuned Absorber Wizard Frequency


(Untitled)

Save Model


(Untitled)

A list of all model components


(Untitled)

Verify FRF selections


(Untitled)

Move view position forwards


(Untitled)

Import APS measurement


(Untitled)

Object Bar Srvr IP


(Untitled)

Create a new polyreference file


(Untitled)

Import Ascii results file


(Untitled)

Find Out More..

There is no specific topic for your selection.

What do you want to find out about:

Models

Measurements

Analysis

Results

Modifications


(Untitled)

progress bar


(Untitled)

Import COH Measurement


(Untitled)

Import CPS measurement


(Untitled)

Create a new measurement database


(Untitled)

Print FRF Selections


(Untitled)

Change auto-tile priority


(Untitled)

Jump to SDM


(Untitled)

Import frf measurement into database


(Untitled)

Tuned Absorber Wizard Mass Unit


(Untitled)

Jump to time results


(Untitled)

Fixed DOF Dialog


(Untitled)

spreadsheet menu


(Untitled)

Jump to wire mesh wizard


(Untitled)

Menu1


(Untitled)

Rib Stiffener Wizard Height


Points (Model Setup)

Points (Using the Model Setup)

From the main menu select:

Model [image] Setup [image] Points

Pre-Conditions

To edit points at least one template must exist


(Untitled)

Open a measurement database


(Untitled)

Auto Play


(Untitled)

Jump To

Advanced Curve Fit FRF Sel Init Page


Analysis

Model View Control - Analysis see also 'Overview'

Use the 'Model View Control' and select the 'Analysis' page.

Purpose(s)

1) To control frequency and time results animations for one or all model views.

If settings are changed in this dialog box then the settings will be applied to the selected view or to all views if the 'All' button is selected.

Domain

To view an animation, either frequency or time must be selected in this category. Frequency domain will be the default if there are valid modes in the results table.

Note: The Time Domain option will only be available if Time Domain Analysis has been performed successfully.

Modes

If viewing frequency domain animation then you must select a mode to view. It is possible to select a second mode to overlay.

Undef = Undeformed (No Mode)

Def = Deformation (The result of Sinusoidal Response)

Vector

The Vector command is used to switch the mode shape display from a Contour display format to a Vector display. The Vector display format displays the undeformed structure with vectors protruding from its surfaces, using the mode shape amplitude and direction to define the vectors. The display is then modulated with a Sine function to create the animation.

Complex

If complex is not selected then the mode shape will be normalized.

Mode shapes are usually defined and identified as complex vectors. That is, each DOF of a mode shape is represented by an amplitude and phase. In the most general case, the phase can be any angle between zero degrees and 360 degrees. However, in many cases it is beneficial to simplify the results by "normalizing the" mode shapes. This is done by resolving all of the phase angles so that they are either zero degrees or 180 degrees.

A Complex mode shape will often exhibit a "traveling wave" effect when displayed in animation due to differences in the phase angles between various DOFs.

A Normal mode will exhibit a uniform motion, with all points passing through zero amplitude and maximum amplitude at the same time.

Directions X, Y and Z

Select the directions in which to view the animation

Amplitude

Amplitude is specified as a percentage. Zero corresponds to no amplitude of animation, or an undeformed structure. One hundred corresponds to the maximum amplitude of animation. The maximum amplitude is automatically determined by the software.

Precision

The number of frames in a complete cycle of animation. This control can be used to adjust the speed of animation. Increasing the precision will slow down the animation.

Mode Preview

If selected, and the domain is set to frequency, the mode number will be incremented after the number of cycles specified. When the last mode is reached, the mode number will restart from the beginning.

Starting an Animation

Press the play button to start an animation.

Viewing a Specific Frame

Use the slider bar next to the 'Play' button to specify a specific frame.


(Untitled)

Select frequency or time domain animation


(Untitled)

Open a polyreference file


(Untitled)

Print spreadsheet


(Untitled)

Jump to FRF Synthesis Page


(Untitled)

Time Analysis Page


(Untitled)

Jump to MAC dialog


(Untitled)

Jump to

Advanced Curve Fit Stability Diagram Page


(Untitled)

Export APS measurement


(Untitled)

Delete component


(Untitled)

A model view before changes


Surfaces (Model Setup)

Surfaces (Using the Model Setup)

From the main menu select:

Model [image] Setup [image] Surfaces

Pre-Conditions

To edit surfaces at least one template must exist


(Untitled)

Export COH measurement


(Untitled)

Export CPS Measurement


(Untitled)

Save the polyreference file


(Untitled)

Jump to Graph View Control - plots page


(Untitled)

View a toolbar with a list of analytical functions


(Untitled)

Jump to model setup lines page


(Untitled)

Delete view


(Untitled)

Tuned Absorber Wizard Damping


(Untitled)

Estimate Mode Shapes


(Untitled)

Templates Page


(Untitled)

jump to constaints page


(Untitled)

Change function to real


(Untitled)

Object Bar


(Untitled)

Change function to imaginary


Lines (Model Setup)

Lines (Using the Model Setup)

From the main menu select:

Model [image] Setup [image] Lines

Pre-Conditions

To edit lines at least one template must exist


(Untitled)

Somethings a wee bit dodgy in the mapping

so I have to point this topic to the Template Page -

HIDD_COMPONENTS_PAGE


(Untitled)

Jump to curve fit dialog


(Untitled)

Server embedded


(Untitled)

Server inplace


(Untitled)

Time Analysis


(Untitled)

Change x-axis scaling to log


(Untitled)

Analysis


(Untitled)

Move view position backwards


(Untitled)

Files dialog bar


(Untitled)

Jump to SDM page


(Untitled)

Export COH Measurement


(Untitled)

Jump to archiving


(Untitled)

A creation failure


(Untitled)

Jump To

Advanced Curve Fit File Page


(Untitled)

Jump to curve fitting


About...


Pressure Intensity Index

Purpose(s)

1) Ascertain the quality of an intensity measurement

Pre-Conditions

  1. For a given measurement location, an auto power and cross power spectrum must be available.

Analysis of the pressure intensity index yields information about measurement limitations imposed by the reactive (reverberant) nature of the sound field being measured.

The P-I Index is the ratio of the pressure to the intensity at one measurement location. If the ratio is too high, the quality of the intensity measurement is poor. The P-I Index is analogous to the signal-to-noise ratio or the coherence function. Ideally the lower the P-I Index values, the better the intensity measurement.

The P-I Index will provide a positive dB number. A P-I Index number greater than 10 dB indicates a poor intensity measurement. A P-I Index number greater than 20 dB will render the intensity measurement unusable.

Note The P-I Index is the ratio of the pressure to the intensity. The inverse function, the ratio of the intensity to the pressure, is known as the Reactivity Index and is often termed a Quality spectrum. The difference between these two computed spectra will be the sign of the dB values.


Acquisition Control - DOF Table Setup

View [image] Control Bars [image] Acquisition Control

Use the acquisition control and select the 'setup' page. Click the 'DOF Table' button.

Purpose(s)

  1. To setup your DOF Table in Puma/Cougar.

Pre-Conditions

  1. You must setup your channel table in Puma or Cougar. This will be used to help define your DOF Table in Puma.
  2. You must have at least one measurement channel active.

Overview

The purpose of this dialog is to use the information provided by your model and the channel table (in Puma) to automatically generate your DOF Table in Puma.

Channel Table

This information is provided by your Puma system and is for information purposes only. You must have a least one measurement channel.

DOF Selection

Select the parts of the model for which you want to acquire data. This can be done in one or more stages by making a selection and then clicking the 'Select -->' button.

If you already have measurements for some of your selection, you can choose to ignore (not select) these by clicking the 'Ignore Acquired DOFs' button. When searching your measurement database it will use the selected ('Based on') data type.

DOF Order

Any selections you make will be copied into the list in this section. Your DOF Table will be generated from this list, in the order shown. You can sort the list by clicking the column headers, or by making a selection and clicking one of the options to the right, such as 'Move Up'.

Note: You can make multiple selections by holding down the 'Ctrl' key and click on each item.

Send

When you are finished, click the 'Send' button to build a DOF Table and send it to your Puma system.


Measurement Selection

Purpose(s)

1) To specify the range of measurements to be used in your analysis.

Pre-Conditions

You must have some measurements in your database or have an open time stream (for TDA).

Overview

This page will determine which measurements from your measurement database (or time stream) will be used in your analysis. Only measurements that meet the criteria of all the controls will be used.

Components

Each point/location on a component is assigned a measurement point. A measurement must have a DOF location associated with a selected (highlighted) component for it to be used. Click on the component name to select/unselect it.

Point Range

Only measurements with a DOF location that falls within the specified range will be used. To enter a range you must unselect 'All'.

Directions

Only measurement with a DOF direction that is selected will be used.


Time Domain Analysis

From the main menu select:

Analysis [image] Time Domain Analysis

Purpose(s)

1) To display the total response of all modes of vibration (summed together) on your model, using time histories.

Pre-Conditions

  • You must have time data in your measurement database or have an open time stream.
  • You must first select the measurements that you wish to include using the 'Measurements' tab.

Overview

This page allows you to process your time histories into a file optimized for animation (TDA file).

Frequency Filter

The time histories are filtered based on the specified values.

Integrate to Displacement

If your measurement units are specified as acceleration or velocity (in your project parameters), selecting this option will convert your measurements to displacement.

Source

The time histories can be taken from your measurement database or from an open time stream.

Append

Selecting 'Append' will keep any existing data in the TDA file and add the selected measurements. The new measurements must be consistent with the existing data, for example the duration and delta frequency must be the same. The new measurements will overwrite any data with the same DOF.

Process

Once you have specified all your parameters, click the 'Process' button to create your TDA file.


Assistant - Check List

STAR Assistant - Check List

From the main menu select:

Help [image] Show Assistant

Purpose(s)

  1. To help you keep track of the steps taken to complete your project
  2. The enable the verification feature

Pre-Conditions

None


Assistant - Tip of the Day

STAR Assistant - Tip of the Day

From the main menu select:

Help [image] Show Assistant

Purpose(s)

  1. To provide useful tips on how to use this application

Pre-Conditions

None


Assistant - Verification

STAR Assistant - Verification

From the main menu select:

Help [image] Show Assistant

Purpose(s)

  1. To help identify potential problems

Pre-Conditions

None


Copying to the Clipboard

You may copy all the views in the main window or just a single view. The resulting image, can be either the same size as what you see, or any other specified size. It is best to select the appropriate size prior to copying as this will not reduce the quality of the image.

Copying all the Views

Use the main menu and select:

Edit>>Copy Setup

A 'Copy Setup' dialog will appear. Your selections will remain each time you run the software.

To copy the views to the clipboard, use the main menu and select:

Edit >> Copy

Copying a Single View

To copy a single view, right click the view to display a popup menu. The options may vary slightly depending on the type of view' for a 'Model View', select 'Copy'. You may also select 'Copy Setup' to specify a specific size for your image.


Context Sensitive Help...


Customize - Application

From the main menu select:

Customize [image] Application

Purpose(s)

  1. To save the application layout
  2. To open the last project automatically on startup

Pre-Conditions

None


Customize View Mapping

Customize - Model View Mapping

From the main menu select:

Customize [image] View Mapping

Purpose(s)

  1. To set the orientation of the global axis system to be used when viewing a model

Pre-Conditions

None


Customize - Printing

From the main menu select:

Customize [image] Printing

Purpose(s)

  1. Set the margins used when printing

Pre-Conditions

None


Customize - Value Formatting

From the main menu select:

Customize [image] Value Formatting

Purpose(s)

  1. To specify the number of decimal places used when viewing the frequency results table

Pre-Conditions

None


Demo Projects

There are a number of demo projects supplied with the software to help you learn how to use the software

  • 10dof_lf - Multiple References
  • 10dof_sd - Multiple References
  • 10dof_wn - Multiple References
  • 5060gen - Operating Deflection Shapes
  • Beam - General
  • Boxes - Constraints
  • Discdrv - General
  • Rect_plt - General

To open a demo project, use the main menu and select

Project >> Demo Projects

Select a project by clicking in the list (the project name will be highlighted), and then click 'Open'.


Setting up Computed Data Types

From the main menu select:

View [image] Control Bars [image] View Control

Select the 'Plot' page and under 'Selected Plot' click 'Setup...'

Purpose(s)

  1. To setup how certain computed data types are calculated

Some computed data types are a composition of more than one base type and in some cases the type used can vary. For example a response data spectrum is calculated using an auto power spectrum and either a frequency response function or a cross power spectrum. This dialog allows you to chose which method is used where both base types exist. If only one method is available then the settings here are ignored.

Option grayed out

If an option is grayed out, it means that the data type is not used in the current application. For example 'Pressure Intensity Index' is not used in modal and therefore would only be enabled if you're running acoustics.


I-Help

Interactive Help (I-Help)

I-Help provides information and tips as you navigate the software.

More-Help

Clicking the 'More Help' button, opens the main help file and tries to display a topic appropriate to the control/window you are using (same as pressing F1), or gives further help on the current topic.

If nothing happens, try selecting the window that you want help on, and then clicking the 'More Help' button.

Auto-Tip

If 'Auto-Tip' is selected, I-Help may provide you with information about the current window or page as you navigate the application. I-Help may also provide you with 'tips' and 'alternatives' when you use certain controls.

Asking a Question

You may ask a question to:

  • Find out how to do something, e.g. "How do I define my model?"
  • Discover the meaning of terminology, e.g. "What is a model?"
  • Solve a Problem, e.g. "Why is my model not animating?"

It is likely that I-Help will return a number of topics; in the case of the example above, all the topics relating to a 'Model'. How you phrase a question and what (if any) other key words are use, will determine how the topics are sorted. Hopefully the appropriate topic will be displayed first, but the 'Topic Title' is also a drop-down list of all the topics returned, so you can select an alternative.


Measurement Setup

From the main menu select:

Measurement [image] Setup

Purpose(s)

  1. To edit the DOF / Reference for one or more measurements
  2. To edit the channels numbers for one or more measurements
  3. To edit the Area (acoustics only) for one or more measurements

Pre-Conditions

There must be at least one measurement in the database

Selecting Measurements to Display

The spreadsheet will show all the measurements that meet the criteria specified in the 'Points', 'Directions' and 'Data Types' sections.

Points

If you specify a range of points, only those measurements with a DOF (excluding reference) containing a point in that range will be shown. If you select one or more components, then only those measurements that have been assigned to those, will be shown. Selected components are highlighted.

Directions

Only measurements with a DOF (excluding reference) containing one of the selection directions will be shown.

Data Types

Only the measurements of the selected data types will be shown. Selected data types are highlighted.

Displaying Spreadsheet Information

The following information can be displayed on the spreadsheet

  • Data Type - Frequency Response Function, Cross Power etc.
  • Reference Channel Number.
  • Channel Number
  • Reference DOF
  • DOF Point
  • DOF Direction
  • Area (acoustics only)

Right click the spreadsheet to select the information you want to be displayed. Displayed items will have a tick next to their name.

Sorting the Measurements

The measurements can be sorted by any column on the spreadsheet. Click on the column header, by which you want to sort.

The measurements are sorted by each column starting with the column selected for sorting and so on.

Editing the spreadsheet

Select the cell you wish to edit and make your change. You may not edit the Data Type.

If you wish to change the value for multiple cells (with the same value), follow these steps:

  1. Edit a single cell, this must be the first in the set of cells you want to change
  2. Click (and hold) the mouse in the first cell and drag down to the last cell you want to change. All the highlighted cells must be in the same column.
  3. Right click the spreadsheet and select 'Set'

Deleting Measurements

If you want to delete all the displayed measurements, right click the spreadsheet and select 'Delete All'. Alternatively you may select one or more rows by clicking in the first column (measurement number), and then right clicking the spreadsheet and selecting 'Delete'. You may select multiple rows by highlighting a single row and dragging the mouse down to the last row you wish to delete.


Importing and Exporting Data

From the main menu select:

Project [image] Import or Export [image] STAR or Universal File Format

Purpose(s)

1) To import data from other applications

2) To export data to other applications

Pre-Conditions

Make sure that if you are importing data, you are not going to overwrite anything important.

Import

Once you have the correct settings as described below, click the OK button to start the import process. Note that any existing data may be overwritten and in the case of 'Results' this cannot be undone. You may be able to recover some of your data (if you make a mistake) by closing the project without saving.

Export

Once you have the correct settings as described below, click the OK button to start the export process. If one or more of the files that you are going to export to, already exist, you maybe prompted with an overwrite message. Your selection from the overwrite message can be repeated for all remaining files by checking the, 'Apply to All' button.

Type

Select whether you want to import or export you data.

File Format

Once you have selected 'Import' or 'Export' select from the list of file formats that are then available. The possible formats are:

  • Universal File Format
  • STAR v5 (Modal)
  • STAR v3 (Acoustics)

If you are running acoustics, then you are not able to export to an older version of STAR.

Append

The 'Append' button is only available when exporting to the Universal File Format. This option allows you to add data to an existing file. Note that you may run into complications if your file already contains the data you are adding, for example, you may end up with two geometry sets.

Project

This option is not applicable when 'Universal File Format' is selected.

Selecting 'Project' will import or export a number of files associated with the project:

  • Project Slate
  • Auto Fit Table
  • Constraints Table
  • Synthesis Table (modal only)
  • Structural Modifications Table (modal only)
  • Time Domain Analysis File (modal only)
  • Field Indicators (acoustics only)
  • Residual Measurements (acoustics only)

Note that the main set of measurements, the model, and the frequency results are covered by separate options.

Model

Selecting this option will import or export your geometry.

If you are exporting your geometry to the Universal File Format', or to an older version of STAR (pre version 6) then you must of assigned measurement points to your geometry.

Note that some parts of your model may not be exported as desired depending on the limitations of the format that you are exporting to, for example, surfaces will not be exported.

Measurements

Selecting this option will import measurements to your measurement database. When you are importing from an older version of STAR, you have the option to import all the measurements from a directory ('All'), or to browse and select individual measurements ('Individual').

Select the data types that you require from the list. Selected items are highlighted. If you are exporting your measurements, only those in your database will be listed, otherwise you have a complete list.

Results

Selecting this option will import or export your frequency results (Modal) or your processed measurements (Acoustics).

If you are exporting your results to the Universal File Format, then you have the option of exporting the data as normal or complex (the default is complex).

Troubleshooting

  1. Importing Unix data files - Make sure when you are transferring data files from Unix that STAR files are transferred as binary files and Universal files are transferred as ASCII files.


Model Setup - Components

From the main menu select:

Model [image] Setup [image] Components

Purpose(s)

  1. To create a component based on a template

Pre-Conditions

  1. At least one template is defined.

Overview

A component allows you to use a template and create an instance at a specific location and orientation in space. A template can be used by more than one component.

If you have not already created a template, you can automatically create one when you add a component.

Adding a Component

To add a new component, either double click an empty row in the list of components, or alternatively, right click the list and select 'Add'. A new window will popup allowing you to enter a name. If you want to use an existing template you can do this also. By default a new template will be created using the same name as you enter for your component.

Deleting a Component

Select the component that you want to delete and either click the 'Delete' key on your keyboard or right click the list and select 'Delete'. If the component is using a template that is not being used elsewhere, you will be given the option to delete the template as well.

Renaming a Component

Select the component that you want to rename and either double click the component or right click the list and select 'Rename'.

Properties

Before changing the properties, make sure you have the correct component selected. A selected component will be highlighted.

  • Template - Select the template that you wish to base the component on.
  • Origin - By default the component will be positioned in space at 0,0,0 i.e. the center of the model. By changing these values you can align each component against each other.
  • Orientation - You can rotate the component either about it's own center or the center of the whole model (i.e 0,0,0)
  • Color - To change the color simply click inside the color box.


Model Setup - Component Links

From the main menu select:

Model [image] Setup [image] Component Links

Purpose(s)

  1. To connect a point on one component to a point on another

Pre-Conditions

  1. At least one template is defined
  2. At least two components are defined
  3. Each component used has at least one point


Model Setup - Lines

From the main menu select:

Model [image] Setup [image] Lines

Purpose(s)

  1. To connect one point to another in the same template

Pre-Conditions

  1. At least one template is defined
  2. At least two points are defined


Model Setup - Measurement Points

From the main menu select:

Model [image] Setup [image] Measurement Points

Purpose(s)

  1. To associate your acquired measurement with points on your model.

Pre-Conditions

  1. At least one component is defined
  2. There are one or more points in the template that the component is based on.

Overview

You must associate your acquired measurements with the model. Each measurement will have a DOF label made up of a location and direction such as 1X. The DOF location (measurement point) must be assigned to one or more component points. Usually a measurement point is only assigned to more than one component point if those points share the same coordinates (x, y, z), after the component has been offset and rotated to its final position.

If you are acquiring your data using a Puma or Cougar analyzer it is recommended that you build your model and assign the measurements point prior to acquisition. This will save a substantial amount of time as the model can then be used to generate your DOF Table (A number of DOF 'Sets' depending on the number channels in use).

Default Measurement Points

The simplest method of assigning your measurement point is to right click the spreadsheet and select 'Assign Default'. This option will automatically assign a unique measurement point to each component point. If two more component points share the same coordinates (x, y, z ) after the components has been offset and rotated to its final position, they will be assigned the same measurement point.

Points Without Measurement Data

If you have any component points that for whatever reason you did not acquire any data for, you should still assign it a unique measurement point and then use the Constraints Table to 'constrain' it to one or more other points with measurement data.


Model Setup - Points

From the main menu select:

Model [image] Setup [image] Points

Purpose(s)

  1. To add points to a template

Pre-Conditions

  1. At least one template is defined


Model Setup - Point Wizard

From the main menu select:

Model [image] Setup [image] Point Wizard

Purpose(s)

  1. To add multiple points to a single spreadsheet then assign them to components that are already created

Pre-Conditions

  1. At least one template is defined
  2. At least one component is defined


Model Setup - Surfaces

From the main menu select:

Model [image] Setup [image] Surfaces

Purpose(s)

  1. To define surfaces in a template for use when rendering the model to give a more realistic impression.

Pre-Conditions

  1. At least one template is defined
  2. At least three points are defined


Model Setup - Templates

From the main menu select:

Model [image] Setup [image] Templates

Purpose(s)

  1. To create a template from which one or more components can be added

Pre-Conditions

None

Overview

A template is a design that can be used by one or more components. Made up of points (3D locations), lines and surfaces, a template will define the physical characteristics for a part of your structure. A component can then be built using the template, and then positioned in relation to other components.

If you want to keep your model simple and do not want to use the concept of reusable templates, you can go straight to adding components and essentially ignore templates. A new template will be created for each component that you add.

Remember: When viewing your model, nothing will be displayed unless you have created a component for your template.

Adding a Template

To add a new template, either double click an empty row in the list of templates or alternatively, right click the list and select 'Add'. You can then enter a name for your new template.

Deleting a Template

Select the template that you want to delete and either click the 'Delete' key on your keyboard or right click the list and select 'Delete'. If the template you wish to delete is being used by a component, you will not be able to delete it.

Renaming a Template

Select the template that you want to rename and either double click the template or right click the list and select 'Rename'.

Properties

Before changing the properties, make sure you have the correct template selected. A selected template will be highlighted.

Templates will contain a number of points made up of coordinates. You must define how these coordinates are interpreted, by specifying the 'Type' of coordinate system.

  • Rectangular - Each point is made up of linear values along the X, Y and Z axis. The units are arbitrary so you should make sure you are consistent throughout your model. Rectangular is the default option.
  • Cylindrical - If you are defining a cylinder, using this option will help in allowing different orientations of your transducers. Each point is defined as R (Radial), T (Theta Angle), and Z (a linear value along the Z-Axis). Note that templates of this types have to be along the Z-Axis, but when you define a component, it can be rotated to suit your needs.
  • Spherical - If you are defining a sphere, using this option will help in allowing different orientations of your transducers. Each point is defined as R (Radius), T (Theta Angle), and P (Phi Angle).


Printing

To format your views for a single sheet of paper and send them to the printer, use the main menu and select

Project>>Print.

To display the formatted views, prior to printing, use the main menu and select

Project>>Print Preview.


Project

Projects

A project is all the files used by the software associated with a modal or acoustic test.

Creating a New Project.

When creating a new project it is recommended that you close any other open projects. To do this, use the main menu and select:

Project>>Close All.

A project contains a number of files and it can be useful to save the project in its own folder. To create a project, use the main menu and select:

Project>>New.

A 'Save As' dialog will appear; browse for the folder in which you want to store the project and enter a name for the new project. Click 'OK' when you are done.

Opening an Existing Project

It is recommended that you only have one project open at a time. To do this, use the main menu and select:

Project>>Close All.

To open an existing project, use the main menu and select:

Project>>Open

An 'Open' dialog will appear; browse for and select the project and click 'OK when you are done.

Saving a Project

To save a project, use the main menu and select:

Project>>Save

To save a project to a new location, use the main menu and select:

Project>>Save As

A 'Save As' dialog will appear; browse for the folder in which you want to store the project and enter a name for the project. Click 'OK' when you are done.


Using the Spreadsheet

Overview

Throughout this software there are a number of spreadsheets for you to view or enter data. Many of them operate in a similar fashion. In most cases you will be able to do the following

  • Enter new information
  • Edit existing information
  • Delete information
  • Copy and Paste to and from other applications (particularly other spreadsheet applications).
  • Print

Where the spreadsheets do operate in a different fashion, please look at the specific help topic.

Entering New Information

Click inside a cell on the first row containing no information, preferably inside the first column (not including the header). You should be able to enter the required value. If it is a button or a drop down list, select as appropriate. When you have entered your information, clicking the 'Tab' key on your keyboard will finalize your entry and automatically select the next column.

Editing Existing Information

Click inside the cell containing the information you want to edit. If the information is highlighted you can start typing the new information instantly. Alternatively you will have to use the 'Delete' and/or 'Backspace' key to remove any unwanted information before typing. When you are done, click the 'Tab' key or the 'Apply' button (if there is one) at the bottom of the page.

Selecting Information

Depending on the spreadsheet you will be able to select different sections; rows, columns or individual cells. To click an entire row or column, click in the appropriate header. If you want to select more than a single row, column or cell; hold down the left mouse button and drag over the area you want to select. All selected information will be highlighted.

Deleting Information

In most cases you can delete the entire contents of the spreadsheet or individual rows. To delete individual rows you will need to select using the row headers; right click the spreadsheet and select 'Delete', or press the 'Delete' key. To delete the entire contents, right click the spreadsheet and select 'Delete All'.


Stream Data - Channel DOF Labels

From the main menu select:

Measurements [image] Stream Data.

Select the 'DOF' tab at the top of the page.

Purpose(s)

1) To view/edit channel DOF labels.

Pre-Conditions

You must first open a stream file.

Overview

This page displays the DOF labels that are associated with each channel in your stream file. If the version of the stream file is at least v3.4 then the DOF labels may be edited.


Stream Data

From the main menu select:

Measurements [image] Stream Data

Purpose(s)

1) To open a stream data file.

Pre-Conditions

The stream file must be a valid Puma/Cougar sts file.

Overview

The primary use of stream files in STAR/CATSModal is for Time Domain Analysis. If there is a stream file (.sts) with the same name as the project and in the project folder, it will be opened automatically when the project is opened.

Start and End Time

Stream file measurements can be plotted on a graph, but it is only possible to view up to 32000 data points at any one time. These settings allow you to specify a time span that meets this criteria. Time Domain Analysis is not limited and by default will process the entire duration of a stream file.


Time Domain Analysis - Results

Time Domain Analysis - Results Information

From the main menu select:

Results [image] Time

Select the 'Info' tab at the top of the page.

Purpose

To view information about your results from Time Domain Analysis

Pre-Condition

You must of processed your time data, click here for more info.


Views - Model Views and Graphs

Model Views, Graphs and Contour Maps

You may have one or more windows in which to display:

  • Model Views
  • Measurement Graphs
  • Contour Maps (acoustics only)

Use the tabs at the bottom of the window to switch between displays

  • Model - display up to 16 model views.
  • Measurements - display up to 16 graphs
  • Contour - display up to 16 contour maps
  • Analysis - a text display providing status and information from various functions.
  • Single - displays a single view from 'model', 'measurements' or 'contour'.

Adding a view

Select the mode (model, measurements, contour ) and use the main menu to select

View >> Add

or use the toolbar as shown above.

Deleting a View

Select the view your want to delete by clicking on it. Use the main menu and select

View >> Delete

or use the toolbar as shown above

Rearranging Views

You may rearrange the views by selecting a view (click it) and then using the main menu to select one of the following

View >> Move Back

View >> Move Forward


Contour Map View

Contour Map View (Acoustics Only)

Select the 'Contour' tab at the bottom of the view window.

The contour map view can modified using the mouse directly on the view as seen below, and using the 'Contour View Control'.


Graph View

Select the 'Measurements' tab at the bottom of the view window.

The graph view can modified using the mouse directly on the view as seen below, and using the 'Graph View Control'.

Axis Scale (A) The axis ranges can be adjusted manually by clicking the mouse over the min or max values. An edit box should appear where you can enter your value. You may want to turn off auto scaling first. Use the 'Graph View Control' and select the 'Axis' page.

Plot Selection (B) Many of the operations performed using the 'Graph View Control' apply to the selected plot. To select a plot, click on the plot label.

Plot Cursor (C) The plot cursor can move moved using the arrow keys, or by clicking, on the graph where you want the cursor to go. To make the cursor jump to the nearest peak, double click the left mouse button.

Menu (D) Right clicking the graph will display a menu. Some of these options will apply to the selected plot.


Model View

Select the 'Model' tab at the bottom of the view window.

The model view can modified using the mouse directly on the view as seen below, and using the 'Model View Control'.

Rotation (A) The model can be rotated by clicking, holding and dragging the mouse over the model view, perpendicular to the axis about which you want to rotate. Once you start rotating about an axis you need to let go of the mouse button and start again, to rotate about a different axis. You may only rotate about one of the three axis, x, y and z. To reset the rotation, hold the left mouse button down and click the right mouse button.

Menu (B) Although the 'Model View Control' contains the most comprehensive set of tools to change the model view, some of these operations can also be found by right clicking the model view.


Analysis View

Select the 'Analysis' tab at the bottom of the view window.

This view is used in the reporting of any analytical processes that you carry out.

Menu (A) The menu provides options for both formatting the text and for loading/saving reports. You may also load the release notes for the application. Right click the view to see the menu.